<%
'============================================================================================
' File name:        tokenlogin.asp.asp
' Created:          20-Jan-2005
' Author:           Vincent Curran & Iain Hammerton
' Description:      Test harness page.
'============================================================================================
%>

<HTML>
<HEAD>
	<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <META name="Version"   content="2.0">
    <META name="Author"    content="Common Services Agency (CSA)">
    <META name="Copyright" content="CSA (ISD) 2000">
    <TITLE>3rd Party GP System API Test Page</TITLE>
    <LINK rel="stylesheet" href="stylesheets/main.css">
    
	

</HEAD>
<BODY>
	<TABLE width='100%' ID="Table1">
		<TR class="contenthead">
			<TD class="contenthead" heigth=2%>Welcome to the SCI Gateway Third Party GP System Developer Kit</TD>
		</TR>
        <TR>
			<TD align='left'><img id='nhssLogo' src='graphics/nhssLogoSmall.gif' border='0'" ></TD>
        </TR>
	</TABLE>
	<%
	Dim m_strInstance			'As String
	Dim	m_strToken				'As String
	Dim m_strProgId				'As String
	Dim m_strAppName			'As String - Third party app name
	Dim m_strPatKey				'As String - Third party patient key
	Dim m_blnValidToken			'As Boolean
	Dim m_blnValidInstance		'As Boolean
	Dim m_strUserName			'As String
	Dim m_blnDispalyPage		'As String

	Const LOGIN_INFO = "config/logonInfo.xml"
	Const TOKENS_XPATH = "//tokens//value"
	Const INSTANCES_XPATH = "//instances//@name"


	Call Main()

	Sub Main()
		
		'Initialise global variables
		m_blnDispalyPage = True
		m_strInstance = CStr(Request.QueryString("instance"))
		m_strToken = CStr(Request.QueryString("LogonToken"))
		m_strToken = Server.URLEncode(m_strToken)
		m_strProgID = CStr(Request.QueryString("ThirdPartyProgId"))
		m_strAppName = CStr(Request.QueryString("ThirdPartyApplication"))
		m_strPatKey = CStr(Request.QueryString("ThirdPartyPatientKey"))
		m_strUserName = ""
		m_blnValidToken = Validate(TOKENS_XPATH, m_strToken)
		m_blnValidInstance = Validate(INSTANCES_XPATH, m_strInstance)
		
		If m_blnValidToken Then Call RemoveNodes()
				
	End Sub
	
	Sub RemoveNodes()
		'Remove nodes that have been marked for deletion
		Dim xmlNodeList
		Dim xmlNode
		
		Set xmlInfo = Server.CreateObject("MSXML.DOMDocument")
		xmlInfo.async = false
		
		If Not xmlInfo.Load(Server.MapPath(LOGIN_INFO)) Then
			Response.Write("<H3 Style = Color:Red>Could not load the file: " & Chr(34) & LOGIN_INFO & Chr(34) & _
							"<BR>The file is either missing or invalid.</H3>")
			m_blnDispalyPage = False
		Else
			Set xmlNodeList = xmlInfo.selectNodes("//token[@delete='true']")
			For each xmlNode in xmlNodelist
				xmlNode.parentNode.removeChild(xmlNode)
			Next
		End If
		
		'Save the xml back to physical file
		xmlInfo.save Server.MapPath(LOGIN_INFO)
		
		Set xmlInfo = Nothing
		Set xmlNodeList = Nothing
	End Sub


	'============================================================================================
	Function Validate(strXpathFilter, strValidateThis) 'As Boolean
	' Description:  Generic validation routine
	' Pass:         The Xpath of the collection to validate against
	' Return:       Boolean
	' Raise Errors: None
	'---------------------------------------------
	' Date           Developer            Comments
	' 27-Jan-2005    V. Curran    Created
	'---------------------------------------------
		Dim xmlInfo
		Dim Item
		Dim colList
		
		Validate = False
		Set xmlInfo = Server.CreateObject("MSXML.DOMDocument")
		xmlInfo.async = false
		If Not xmlInfo.Load(Server.MapPath(LOGIN_INFO)) Then
			Response.Write("<H3 Style = Color:Red>Could not load the file: " & Chr(34) & LOGIN_INFO & Chr(34) & _
							"<BR>The file is either missing or invalid.</H3>")
			m_blnDispalyPage = False
		Else
			Set colList = xmlInfo.selectNodes(strXpathFilter)
			For each Item in colList
				If UCase(strValidateThis) = UCase(Item.text) Then
					On Error Resume Next
					If Item.parentNode.tagName = "token"  Then
						If err.number = 0 Then
							Dim strPath
							m_strUserName = Item.parentnode.selectsinglenode("user").text
							'Mark node for deletion
							Item.parentNode.setAttribute "delete", "true"
							strPath = Server.MapPath(LOGIN_INFO)
							'Save xml back to physical file
							xmlInfo.Save strPath  
						End If
					End If
					Validate = True
					Set xmlInfo = Nothing
					err.Clear
					Exit Function
				End If
			Next
		End If
		Set xmlInfo = Nothing
	End Function

	%>
	<%If m_blnDispalyPage Then%>
		<P>
		<H3>Querystring Summary</H3>
		<TABLE BORDER=1 WIDTH=50%>
			<THEAD>
				<TR>
				<TH colSpan=5>Querystring Parameters and Values</TH>
				</TR>
			</THEAD>
			<TBODY>
				<TR>
					<TH>instance</TH>
					<TH>LogonToken</TH>
					<TH>ThirdPartyProgId</TH>
					<TH>ThirdPartyApplication</TH>
					<TH>ThirdPartyPatientKey</TH>
				</TR>
				<TR>
					<TD ALIGN = center><%=m_strInstance%></TD>
					<TD ALIGN = center><%=m_strToken%></TD>
					<TD ALIGN = center><%=m_strProgID%></TD>
					<TD ALIGN = center><%=m_strAppName%></TD>
					<TD ALIGN = center><%=m_strPatKey%></TD>
				</TR>
			</TBODY>
		</TABLE>
		</P>

		<%If m_blnValidToken AND m_blnValidInstance Then%>
			<H3 Style = Color:Green>Token is valid.<BR>Instance is valid.<BR>Logged on as user:  <%=m_strUserName%></H3><BR><BR>

			<H3>Patient Methods</H3>
			<DIV ID="spnPatientMethods" name= "spnPatientMethods" style="VISIBILITY: visible">
				<TABLE style="WIDTH: 100%" cellSpacing=1 cellPadding=1 width="100%" border=1>
					<TR>
						<TD>Surname <INPUT id=txtSurname name=text1></TD>
						<TD>Forename <INPUT id=txtForename name=text2></TD>
						<TD>CHI <INPUT id=txtCHI name=text3></TD>
					</TR>
					<TR>
						<TD>Date of Birth <INPUT id=txtDateOfBirth name=text4></TD>
						<TD>Sex <SELECT id=txtSex name=cboSex> 
							<OPTION value="" selected></OPTION>
							<OPTION value=Male >Male</OPTION>
							<OPTION value=Female>Female</OPTION>
							</SELECT>
						</TD>
						<TD>Patient Key<INPUT id=txtPatientKey name=text5 value=<%=m_strPatKey%>></TD>
					</TR>
					<TR>
						<TD><INPUT id=btnFind type=button value=findPatients name=button1 onClick="FindPatients()"></TD>
						<TD><INPUT id=btnBrowse type=button value=browsePatient name=button2 onClick="BrowsePatient()"></TD>
						<TD><INPUT id=btnRetrieve type=button value=retrievePatientDetails name=button3 onClick="RetrievePatientDetails()"></TD>
					</TR>
				</TABLE>
				<P></P>
				<P><TEXTAREA id=txtResults style="WIDTH: 100%; HEIGHT: 150px" name=txtResults></TEXTAREA></P>
			</DIV>
			<DIV id="spnMessageMethods" name= "spnMessageMethods" style="VISIBILITY: visible">
				<H3>Message Methods</H3>
				<TABLE cellSpacing=1 cellPadding=1 width="75%" border=1>
					<TR>
						<TD>Message Type</TD>
						<TD><SELECT id=cboMessageType style="WIDTH: 150px" name=cboMessageType> 
								<OPTION value=1 selected>Referral</OPTION>
								<OPTION value=2>Immediate Discharge</OPTION>
								<option value=3>Final Discharge</option>
								<OPTION value=9>Unknown Message Type</OPTION>
							</SELECT>
						</TD>
						<TD><INPUT id=btncheckMessage type=button value=checkMessageTypeCapability name=button6 onClick="checkMessageCapability()"></TD>
					</TR>
					<TR>
						<TD>Action</TD>
						<TD><SELECT id=cboAction style="WIDTH: 110px" name=cboAction>
								<OPTION value=1 selected>Add</OPTION>
								<OPTION value=2>Unknown Action</OPTION>
							</SELECT>
						</TD>
						<TD>Can Perform <INPUT id=txtCanPerform></TD>
					</TR>
				</TABLE></P>
			</DIV>
			<TABLE cellSpacing=1 cellPadding=1 width="100%" border=1>
				<TR>
					<TD>Message Type <SELECT id=cboMsgType style="WIDTH: 129px" NAME="cboMsgType"> 
						<OPTION value=1 selected>Referral</OPTION>
						<OPTION value=2>Immediate Discharge</OPTION>
						<option value=3>Final Discharge</option>
						<OPTION value=9>Unknown Type</OPTION>
						</SELECT>
					</TD>
					<TD><INPUT id=btnAddMessage type=button value=addMessage onClick="addMessage()"></TD>
				</TR>
				<TR>
					<TD colspan=2>Patient Key <INPUT id=txtPatKey value=<%=m_strPatKey%>></TD>
				</TR>
				<TR>
					<TD colspan=2><TEXTAREA id=txtMessageXML style="WIDTH: 100%; HEIGHT: 178px" rows=9 cols=44>&lt;ref:ReferralDocument/&gt;</TEXTAREA></TD>
				</TR>
				<TR>
					<TD colspan=2><TEXTAREA id=txtLetterHTML style="WIDTH: 100%; HEIGHT: 180px" name=textarea1 rows=7 cols=44>&lt;html&gt;&lt;head&gt;&lt;title&gt;Referral Letter&lt;/title&gt;&lt;/head&gt;&lt;body&gt;This is a referral letter&lt;/body&gt;&lt;html&gt;</TEXTAREA></TD>
				</TR>
			</TABLE>
			<INPUT id="ProgId" name="ProgId" value="<%= m_strProgID %>" type="hidden" />
			<INPUT id="AppName" name="AppName" value="<%= m_strAppName %>" type="hidden"/>
			<SCRIPT Language="vbscript">
					
					Option Explicit
					
					Const MSGBOXTITLE = "SCI Gateway Third Party GP System Developer Kit"
					
					Dim strProgId		' As String
					Dim strAppName		' As String
					
					
					strProgId = ProgId.Value
					strAppName = AppName.Value

					Sub FindPatients()
						Dim oApp			' As Object
						Dim colPatients		' As Object
						Dim oPatient		' As Object
						Dim strTpiProgId	' As String
						
									
						Const SEPARATOR = ", "
						
						txtResults.value = ""	' Clear results
						
						'Capture case when app is not running
						On Error Resume Next
						Set oApp = GetObject(, strProgId)
						If err.number <> 0 Then
							Call ErrorMessage(err.number, err.Description, err.Source)			
							Exit Sub
						End If
						
						
						If Not oApp Is Nothing Then
							oApp.findPatients CStr(txtSurname.Value), _
									CStr(txtForename.Value), _
									CStr(txtCHI.Value), _
									CStr(txtDateOfBirth.Value), _
									CStr(txtSex.Value), _
									colPatients

							If Err.number <> 0 Then		
								MsgBox "findPatients raised the following error: " & vbCrLf & _
									"Number: " & Err.number & vbCrLf & _
									"Description: " & Err.Description &  vbCrLf & _
									"Source: " & Err.Source, vbCritical, MSGBOXTITLE
							ElseIf Not colPatients Is Nothing Then
								Dim sOutput
								
								sOutput = ""
								For Each oPatient in colPatients
					'				sOutput = sOutput & oPatient.Key & SEPARATOR
									sOutput = sOutput & oPatient.Surname & SEPARATOR
									sOutput = sOutput & oPatient.Title & " " & oPatient.Forename & SEPARATOR
									sOutput = sOutput & oPatient.DateOfBirth & SEPARATOR
									sOutput = sOutput & oPatient.CHI & SEPARATOR
									sOutput = sOutput & oPatient.Sex & vbCrLF
								Next
								
								txtResults.value = sOutput
							End If
						End If

						Set colPatients = Nothing
						Set oApp = Nothing
										
					End Sub

					Sub browsePatient()
						Dim oApp		' as Object
						Dim sPatientKey	' as String
						
						txtPatientKey.value = ""
						'Capture case when app is not running
						On Error Resume Next
						Set oApp = GetObject(, strProgId)
						If err.number <> 0 Then
							Call ErrorMessage(err.number, err.Description, err.Source)			
							Exit Sub
						End If
						
						If Not oApp Is Nothing Then
							oApp.browsePatient sPatientKey
							sPatientKey = CStr(sPatientKey)
							If VarType(sPatientKey) = 8 Then
								txtPatientKey.value = sPatientKey
								txtPatKey.value = sPatientKey
							Else
								Msgbox "browsePatient returned an invalid patientkey parameter. VarType = " & VarType(sPatientKey), vbExclamation, MSGBOXTITLE
							End If
						ElseIf Err.number <> 0 Then
							MsgBox "browsePatient raised the following error: " & vbCrLf & _
								"Number: " & Err.number & vbCrLf & _
								"Description: " & Err.Description &  vbCrLf & _
								"Source: " & Err.Source, vbCritical, MSGBOXTITLE
						End If
						
						Set oApp = Nothing
					End Sub

					Sub retrievePatientDetails()
						Dim oApp			' as Object
						Dim sPatientDetails	' as String
						
						On Error Resume Next
						txtResults.value = ""
						'Capture case when app is not running
						Set oApp = GetObject(, strProgId)
						If err.number <> 0 Then
							Call ErrorMessage(err.number, err.Description, err.Source)			
							Exit Sub
						End If
						If Not oApp Is Nothing Then
							oApp.retrievePatientDetails CStr(txtPatientKey.value), sPatientDetails
							
							If Err.number <> 0 Then
								MsgBox "retrievePatientDetails raised the following error: " & vbCrLf & _
									"Number: " & Err.number & vbCrLf & _
									"Description: " & Err.Description &  vbCrLf & _
									"Source: " & Err.Source, vbCritical, MSGBOXTITLE
							ElseIf VarType(sPatientDetails) = 8 Then
								txtResults.value = sPatientDetails
							Else
								Msgbox "retrievePatientDetails returned an invalid PatientDetails parameter. VarType = " & VarType(sPatientKey), vbExclamation, MSGBOXTITLE
							End If
						End If
						
						Set oApp = Nothing
					End Sub

					Sub checkMessageCapability()
						Dim oApp			' As Object
						Dim blnCanPerform	' As Boolean
						

						txtCanPerform.value = ""
						'Capture case when app is not running
						On Error Resume Next
						Set oApp = GetObject(, strProgId)
						If err.number <> 0 Then
							Call ErrorMessage(err.number, err.Description, err.Source)			
							Exit Sub
						End If
						If Not oApp Is Nothing Then
							blnCanPerform = oApp.checkMessageTypeCapability(CInt(cboMessageType.value), CInt(cboAction.value))
							
							If Err.number <> 0 Then
								MsgBox "checkMessageTypeCapability raised the following error: " & vbCrLf & _
									"Number: " & Err.number & vbCrLf & _
									"Description: " & Err.Description &  vbCrLf & _
									"Source: " & Err.Source, vbCritical, MSGBOXTITLE
							ElseIf VarType(blnCanPerform) = 11 Then
								If blnCanPerform Then
									txtCanPerform.value  = "True"
								Else
									txtCanPerform.value = "False"
								End If
							Else
								Msgbox "checkMessageTypeCapability returned an invalid PatientDetails parameter. VarType = " & VarType(sPatientKey), vbExclamation, MSGBOXTITLE
							End If
						End If
						
						Set oApp = Nothing
						
						
					End Sub
					
					

					Sub addMessage()
						Dim oApp			' As Object
						
						On Error Resume Next
						'Capture case when app is not running
						Set oApp = GetObject(, strProgId)
						If err.number <> 0 Then
							Call ErrorMessage(err.number, err.Description, err.Source)			
							Exit Sub
						End If
						If Not oApp Is Nothing Then
							
							oApp.addMessage  CInt(cboMsgType.value), CStr(txtPatKey.value) , CStr(txtMessageXML.value), CStr(txtLetterHTML.value)
							
							If Err.number <> 0 Then
								MsgBox "addMessage raised the following error: " & vbCrLf & _
									"Number: " & Err.number & vbCrLf & _
									"Description: " & Err.Description &  vbCrLf & _
									"Source: " & Err.Source, vbCritical, MSGBOXTITLE
							End If
						End If
						
						Set oApp = Nothing
					End Sub
					
					Sub ErrorMessage(errCode, errDesc, errSource)
						Msgbox "The " & strAppName & " application is not running." & vbNewLine & _
									"Please start the application.", vbExclamation, MSGBOXTITLE
						'Debug
						'Msgbox "Error code: " & CStr(errCode) & vbNewLine & _
						'		"Error Description: " & CStr(errDesc) & vbNewLine & _
						'		"Error Source: " & CStr(errSource)
					End Sub
					
				</SCRIPT>

		<%Else%>
			<%If NOT m_blnValidToken Then%>
				<H3 Style = Color:Red>Token is invalid.</H3>
			<%Else%>
				<H3 Style = Color:Green>Token is valid.</H3>
			<%End If%>
			<%If NOT m_blnValidInstance Then%>
				<H3 Style = Color:Red>Instance is invalid.</H3>
			<%Else%>
				<H3 Style = Color:Green>Instance is valid.</H3>
			<%End If%>
			<H3 Style = Color:Red>Not logged on.</H3>
		<%End If%>
	<%End If%>

</BODY>
</HTML>
