<%
'============================================================================================
' File name:    default.asp
' Description:  Default (start-up) page for the SCI Protocol Verification Tool.
'============================================================================================
%>
<!--#include file="includes/Config.asp"-->
<%
Const SERVER_PATH_DEFAULT = "add path to shared working directory here"
Const XSLT_FILENAME = "..\stylesheets\protocolForm.xslt"

Function PostedConfiguration()          PostedConfiguration         = DecideValueByPostBackStatus("1", Request.Form("Configuration")) End Function
Function PostedClientProtocolDir()      PostedClientProtocolDir     = DecideValueByPostBackStatus(PVT_CLIENT_PROTOCOL_PATH, Request.Form("clientProtocolDir")) End Function
Function PostedServerProtocolDir()      PostedServerProtocolDir     = DecideValueByPostBackStatus(SERVER_PATH_DEFAULT, Request.Form("serverProtocolDir")) End Function
Function PostedClientStylesheetDir()    PostedClientStylesheetDir   = DecideValueByPostBackStatus(PVT_CLIENT_STYLESHEET_PATH, Request.Form("clientStylesheetDir")) End Function
Function PostedServerStylesheetDir()    PostedServerStylesheetDir   = DecideValueByPostBackStatus(SERVER_PATH_DEFAULT, Request.form("serverStylesheetDir")) End Function
Function PostedPatientKey()             PostedPatientKey            = DecideValueByPostBackStatus(CStr(Request.QueryString("ThirdPartyPatientKey")), Request.Form("patientKey")) End Function
Function PostedAppName()                PostedAppName               = DecideValueByPostBackStatus(CStr(Request.QueryString("ThirdPartyApplication")), Request.Form("appName")) End Function
Function PostedProgId()                 PostedProgId                = DecideValueByPostBackStatus(CStr(Request.QueryString("ThirdPartyProgId")), Request.Form("progid")) End Function
Function PostedLogonToken()             PostedLogonToken            = DecideValueByPostBackStatus(CStr(Request.QueryString("LogonToken")), Request.Form("logontoken")) End Function
Function PostedIsThirdParty()           PostedIsThirdParty          = DecideValueByPostBackStatus("false", Request.Form("isThirdParty")) End Function
Function PostedProtocolFormXslPath()    PostedProtocolFormXslPath   = DecideValueByPostBackStatus(XSLT_FILENAME, Request.Form("protocolFormXslPath")) End Function
Function PostedMessageTypeId()          PostedMessageTypeId         = DecideValueByPostBackStatus(1, Request.Form("messageTypeId")) End Function
Function DetermineSelectedMessageTypeConfig()   Set DetermineSelectedMessageTypeConfig = g_messageTypesConfig.FindByMessageTypeId(CInt(PostedMessageTypeId())) End Function

Function IsPostBack()
    IsPostBack = Request.ServerVariables("REQUEST_METHOD") = "POST"
End Function

Function DecideValueByPostBackStatus(valueIfNotPostBack, valueIfPostBack)
    If Not IsPostBack() Then
        DecideValueByPostBackStatus = valueIfNotPostBack
    Else
        DecideValueByPostBackStatus = valueIfPostBack
    End If
End Function

Function CreateMessageTypesHtmlOptions()
    Dim result
    Dim messageTypeConfig
    Dim selectedMessageTypeId
    selectedMessageTypeId = PostedMessageTypeId()
    For Each messageTypeConfig In g_messageTypesConfig.MessageTypeConfigs
        result = result & "<option value=""" & CStr(messageTypeConfig.Id) & """"
        If CStr(messageTypeConfig.Id) = selectedMessageTypeId Then result = result & "selected=""selected"""
        result = result& ">" & messageTypeConfig.Name & "</option>"
    Next
    CreateMessageTypesHtmlOptions = result
End Function

Function CreateTargetSchemaVersionsHtmlOptions()
    Dim selectedMessageType 
    Set selectedMessageType = DetermineSelectedMessageTypeConfig()
    Dim result
    If Not selectedMessageType Is Nothing Then
        Dim schema
        For Each schema in selectedMessageType.Schemas
            result = result & "<option value=""" & schema.Version & """"
            If schema.DefaultSchema = True Then result = result & "selected=""selected"""
            result = result & ">" & schema.Version & "</option>"
        Next
    End If
    CreateTargetSchemaVersionsHtmlOptions = result
End Function

%>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><%=PVT_HEADER%></title>
        <link rel="stylesheet" href="stylesheets/pvtBuilder.css" type="text/css"/>
        <script language="VBScript" src="scripts/default.vbs" type="text/vbscript"></script>
        <script language="VBScript" src="scripts/common.vbs" type="text/vbscript"></script>
        <script language="VBScript" src="scripts/verify.vbs" type="text/vbscript"></script>
        <script language="VBScript" src="scripts/ThirdParty.vbs" type="text/vbscript"></script>
    </head>
    <body style="margin-top:0px;margin-bottom:0px;"><!-- avoid using onLoad event as it may be used by the Gpass consulting room extension -->
        <form id="defaultForm" action="default.asp" method="post">
            <table border="0" width="100%" style="border-bottom-style:solid; border-bottom-width:1;">
                <tr>
                    <td style="width:20%;text-align:left;"><img src="graphics/nhssLogoSmall.gif" alt="NHSS Logo"/></td>
                    <td style="text-align:center">
                        <span id="pvtHeader" style="font-size: 24px"><%=PVT_HEADER%></span>
                        <br/>
                        &copy;<%=PVT_COPYRIGHT%>
                    </td>
                    <td style="width:20%;text-align:left;vertical-align:top">
                        <table border="0">
                            <tr>
                                <td>Version:</td>
                                <td><%=PVT_VERSION%></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <br/>
            <br/>
            <table style="width:100%;border:0px" class="noborder">
                <tr>
                    <td>
                        <table class="noborder">
                            <tr><td colspan="3"><b>Configuration:</b></td></tr>
                            <tr>
                                <td id="tdConfiguration1">
                                    <input type="radio" id="Configuration1" name="Configuration" value="1" onclick="MatchDisplayToConfiguration()" <% If PostedConfiguration() = "1" Then Response.Write("checked=""checked""") %>/>Stand-alone
                                </td>
                                <td id="tdConfiguration2">
                                    <input type="radio" id="Configuration2" name="Configuration" value="2" onclick="MatchDisplayToConfiguration()"<% If PostedConfiguration() = "2" Then Response.Write("checked=""checked""") %>/>Separate web server
                                </td>
                                <td>
                                    <input type="button" id="btnSetDefault" value="Save as default" onclick="vbscript:SaveDefaultConfigurationToFile()"/>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <br/>
            <table style="width:100%;border:0px" class="noborder">
                <colgroup>
                    <col style="width:30%" />
                    <col style="width:250px;text-align:left;"/>
                    <col style="width:110px;"/>
                    <col />
                </colgroup>
                <tr>
                    <td>Protocol working directory:</td>
                    <td colspan="3">
                        <input id="clientProtocolDir" name="clientProtocolDir" type="text" value="<%= PostedClientProtocolDir()%>" 
                            style="width:100%;" onblur="FixFolderLocationValue(GetClientProtocolWorkingDirObj())"
                            title="This is the protocols directory from the point of view of the client machine (standalone = local path, server = mapped path)." 
                            />
                        <input id="protFile" name="protFile" type="hidden" value=""/>
                        <input id="protDir" name="protDir" type="hidden" value=""/>
                        <input id="ConfigurationSetting" name="ConfigurationSetting" type="hidden" value=""/>
                    </td>
                </tr>
                <tr id="serverProtocolDirRow" style="border-bottom:thick solid;">
                    <td>Server's path to protocol working directory:</td>
                    <td colspan="3">
                        <input id="serverProtocolDir" name="serverProtocolDir" type="text" value="<%= PostedServerProtocolDir()%>"
                            style="width:100%;" onblur="If GetServerProtocolWorkingDirValue() <> '<%= SERVER_PATH_DEFAULT%>' Then FixFolderLocationValue(GetServerProtocolWorkingDirObj())"
                            title="This is the protocols directory from the point of view of the machine with PVT installed."/>
                    </td>
                </tr>
                <tr>
                    <td>Stylesheet working directory (optional):</td>
                    <td colspan="3">
                        <input id="clientStylesheetDir" name="clientStylesheetDir" type="text" value="<%= PostedClientStylesheetDir()%>" 
                            style="width:100%;" onblur="FixFolderLocationValue(GetClientStylesheetWorkingDirObj())"
                            title="This is the stylesheet directory from the point of view of the client machine (standalone = local path, server = mapped path)." 
                            />
                    </td>
                </tr>
                <tr id="serverStylesheetDirRow">
                    <td>Server's path to stylesheet working directory (optional):</td>
                    <td colspan="3">
                        <input id="serverStylesheetDir" name="serverStylesheetDir" type="text" value="<%= PostedServerStylesheetDir()%>" 
                            style="width:100%;" onblur="If GetServerStylesheetWorkingDirObj() <> '<%= SERVER_PATH_DEFAULT%>' Then FixFolderLocationValue(GetServerStylesheetWorkingDirObj())"
                            title="This is the stylesheets directory from the point of view of the machine with PVT installed. If no path is specified, a default will be used" 
                            />
                    </td>
                </tr>
                <tr>
                    <td>Protocol type:</td>
                    <td>
                        <select id="messageTypeId" name="messageTypeId" onchange="MessageTypeIdOnChangeHandler()" style="width:250px;" >
                            <%Response.Write(CreateMessageTypesHtmlOptions())%>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Final message target schema:</td>
                    <td>
                        <select id="targetSchemaString" name="targetSchemaString" style="width:250px;">
                            <%Response.Write(CreateTargetSchemaVersionsHtmlOptions())%>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Protocol XML file:</td>
                    <td>
                        <select id="protocolXmlFiles" name="protocolXmlFiles" onchange="showEditDetails()" style="width:250px">
                            <option>(Click Refresh)</option>
                        </select>
                    </td>
                    <td>
                        <input type="button" value="Refresh" class="Button" id="butRefreshProtocolList" onclick="RefreshProtocolList()"/>
                    </td>
                    <td rowspan="3" style="border-left-width:thin;">
                        <input type="button" value="Refresh All" class="Button" id="butRefreshAllLists" onclick="RefreshAllLists()"/>
                    </td>
                </tr>
                <tr>
                    <td>Parked form (optional):</td>
                    <td>
                        <select id="dataEntryFiles" name="dataEntryFiles" onchange="showEditDetails()" style="width:250px">
                            <option>(Click Refresh)</option>
                        </select>
                    </td>
                    <td>
                        <input type="button" value="Refresh" class="Button" id="butRefreshDataEntryList" onclick="RefreshDataEntryList()"/>
                    </td>
                </tr>
                <tr>
                    <td>Preview Stylesheet (optional):</td>
                    <td>
                        <select id="stylesheetFiles" name="stylesheetFiles" onchange="showEditDetails()" style="width:250px">
                            <option>(Click Refresh)</option>
                        </select>
                    </td>
                    <td>
                        <input type="button" value="Refresh" class="Button" id="btnRefreshStylesheets" onclick="RefreshStylsheetList()" />
                    </td>
                </tr>
            </table>
            <br/>
            <br/>
            <!-- Buttons -->
            <table style="width:100%;border:0px" class="noborder">
                <tr>
                    <td></td>
                    <td align="center">
                        <input type="button" value="Verify All" class="Button" id="butVerifyAll" onclick="VerifyAll()"/>			    
                        <input type="button" value="Verify" class="Button" id="butVerify" onclick="Verify()"/>
                        <input type="button" value="View Form" class="Button" id="butMake" onclick="ViewForm()"/>
                        <input type="button" value="PVT XML Editor" class="Button" id="butXMLEditor" onclick="LaunchXmlEditor()"/>
                    </td>
                </tr>
            </table>
            <br/>
            <br/>
            <!-- Help -->
            <table>		
                <tr>
                    <td>
                        <a href="installation_instructions.html" target="winConfig"><span class="Hand" style="COLOR: navy; TEXT-DECORATION: underline">Installation/Configuration Help</span></a>
                    </td>
                </tr>
            </table>
            <!-- Hidden fields -->
            <input id="patientkey" name="patientkey" type="hidden" value="<%= PostedPatientKey()%>"/>
            <input id="appname" name="appname" type="hidden" value="<%= PostedAppName()%>"/>
            <input id="progid" name="progid" type="hidden" value="<%= PostedProgId()%>"/>
            <input id="logontoken" name="logontoken" type="hidden" value="<%= PostedLogonToken()%>"/>
            <input id="patdetails" name="patdetails" type="hidden" value="<%= ""%>"/>
            <input id="isThirdParty" name="isThirdParty" type="hidden" value="<%= PostedIsThirdParty() %>"/>
            <input id="protocolFormXslPath" name="protocolFormXslPath" type="hidden" value="<%= PostedProtocolFormXslPath()%>"/>
            <script language="vbscript" type="text/vbscript">
                <% If Not IsPostBack() Then %>
                SetDefaultConfigurationFromFile()
                <%End If %>
                MatchDisplayToConfiguration()
                Call ShowEditDetails()
            </script>
        </form>
    </body>
</html>