<%
Class ConfigurationFiles
    Private mProtocolXmlPath
    Private mProtocolXml
    Private mBuildMessageXml
    Private mPrePopObjectsXml
    Private mTablesXml
    Private mPrapiXml
    Private mQuestionValuesXml
    Private mQuestionsXml
    Private mSyntaxXml
    Private mPrePopXml
    Private mObjectsOnProtocolsXslt
    Private mObjectsSortXslt

    Public MessageTypeConfig
    Public TargetSchemaString
    
    Public Property Get MessageTypeSchema           : Set MessageTypeSchema     = MessageTypeConfig.FindSchema(TargetSchemaString) End Property
    
    Private Property Get WebFolderPath              : WebFolderPath             = "../" End Property
    Private Property Get MessageTypesPath           : MessageTypesPath          = WebFolderPath & "sharedMessageTypes/" & MessageTypeConfig.Name & "/" End Property
    Private Property Get MessageTypesSchemaxyPath   : MessageTypesSchemaxyPath  = MessageTypesPath & "Schema-" & TargetSchemaString & "/" End Property
    Private Property Get MessageTypesSchemaAllPath  : MessageTypesSchemaAllPath = MessageTypesPath & "Schema-All/" End Property
    
    Public Property Get SyntaxXmlPath               : SyntaxXmlPath             = Server.MapPath(WebFolderPath & "message/syntax.xml") End Property
    Public Property Get FilterXsltPath              : FilterXsltPath            = Server.MapPath(WebFolderPath & "stylesheets/pvtFilter.xslt") End Property
    Public Property Get ObjectsOnProtocolsXsltPath  : ObjectsOnProtocolsXsltPath= Server.MapPath(WebFolderPath & "stylesheets/ObjectsOnProtocols.xslt") End Property
    Public Property Get ObjectsSortXsltPath         : ObjectsSortXsltPath       = Server.MapPath(WebFolderPath & "stylesheets/objectsort.xslt") End Property
    Public Property Get MessageParkInfoXmlPath      : MessageParkInfoXmlPath    = Server.MapPath(WebFolderPath & "sharedGatewayMessage/message-parkinfo.xml") End Property
    
    Public Property Get SchemaXmlPath               : SchemaXmlPath             = Server.MapPath(MessageTypesSchemaAllPath & "schemas.xml") End Property
    Public Property Get MessageTemplateXmlPath      : MessageTemplateXmlPath    = Server.MapPath(MessageTypesSchemaxyPath & MessageTypeConfig.Name & "-template.xml") End Property
    Public Property Get MessageReferenceXmlPath     : MessageReferenceXmlPath   = Server.MapPath(MessageTypesSchemaxyPath & MessageTypeConfig.Name & "-reference.xml") End Property
    Public Property Get BuildMessageXmlPath         : BuildMessageXmlPath       = Server.MapPath(MessageTypesSchemaxyPath & "Build" & MessageTypeConfig.Name & ".xml") End Property
    Public Property Get PrePopObjectsXmlPath        : PrePopObjectsXmlPath      = Server.MapPath(MessageTypesSchemaxyPath & "pvtPrePopObjects.xml") End Property
    Public Property Get PrapiXmlPath                : PrapiXmlPath              = Server.MapPath(MessageTypesSchemaxyPath & "pvtPrimaryCareAPI.xml") End Property
    Public Property Get QuestionValuesXmlPath       : QuestionValuesXmlPath     = Server.MapPath(MessageTypesSchemaxyPath & "pvtQuestionValues.xml") End Property
    Public Property Get TablesXmlPath               : TablesXmlPath             = Server.MapPath(MessageTypesSchemaxyPath & "pvtTables.xml") End Property
    Public Property Get QuestionsXmlPath            : QuestionsXmlPath          = Server.MapPath(MessageTypesSchemaxyPath & "questions.xml") End Property
    Public Property Get SampleRequestXmlPath        : SampleRequestXmlPath      = Server.MapPath(MessageTypesSchemaxyPath & "request/pvtRequest.xml") End Property
    Public Property Get SchemaTypeMapperXmlPath     : SchemaTypeMapperXmlPath   = Server.MapPath(MessageTypesSchemaxyPath & "SchemaTypeMappers.xml") End Property
    Public Property Get BuildPageTitleXsltPath      : BuildPageTitleXsltPath    = Server.MapPath(MessageTypesSchemaxyPath & "BuildPageTitle.xslt") End Property
    
    Public Property Get PrePopXmlPath
        If Me.MessageTypeConfig.IsReplyType Then
            PrePopXmlPath    = Server.MapPath(MessageTypesSchemaxyPath & "PrePopulationFromRequest.xml")
        Else
            PrePopXmlPath    = Server.MapPath(MessageTypesSchemaxyPath & "pvtPrepopulationFromSource.xml")
        End If                
    End Property
    
    Public Property Get ProtocolXmlPath             : ProtocolXmlPath           = mProtocolXmlPath End Property
    Public Property Let ProtocolXmlPath(ByVal value)
        Set mProtocolXml = nothing
        mProtocolXmlPath = value
    End Property

    Public Property Get ProtocolXml             : Set ProtocolXml               = LazyLoadXmlFile(mProtocolXml, ProtocolXmlPath, True) End Property
    Public Property Get BuildMessageXml         : Set BuildMessageXml           = LazyLoadXmlFile(mBuildMessageXml, BuildMessageXmlPath, False) End Property
    Public Property Get PrePopObjectsXml        : Set PrePopObjectsXml          = LazyLoadXmlFile(mPrePopObjectsXml, PrePopObjectsXmlPath, False) End Property
    Public Property Get TablesXml               : Set TablesXml                 = LazyLoadXmlFile(mTablesXml, TablesXmlPath, False) End Property
    Public Property Get PrapiXml                : Set PrapiXml                  = LazyLoadXmlFile(mPrapiXml, PrapiXmlPath, False) End Property
    Public Property Get QuestionValuesXml       : Set QuestionValuesXml         = LazyLoadXmlFile(mQuestionValuesXml, QuestionValuesXmlPath, False) End Property
    Public Property Get QuestionsXml            : Set QuestionsXml              = LazyLoadXmlFile(mQuestionsXml, QuestionsXmlPath, False) End Property
    Public Property Get SyntaxXml               : Set SyntaxXml                 = LazyLoadXmlFile(mSyntaxXml, SyntaxXmlPath, False) End Property
    Public Property Get PrePopXml               : Set PrePopXml                 = LazyLoadXmlFile(mPrePopXml, PrePopXmlPath, False) End Property
    Public Property Get ObjectsOnProtocolsXslt  : Set ObjectsOnProtocolsXslt    = LazyLoadXmlFile(mObjectsOnProtocolsXslt, ObjectsOnProtocolsXsltPath, False) End Property
    Public Property Get ObjectsSortXslt         : Set ObjectsSortXslt           = LazyLoadXmlFile(mObjectsSortXslt, ObjectsSortXsltPath, False) End Property

    Public Function ProtocolValidationXmlFilesLoadedOk(blnWriteParseError)
        ProtocolValidationXmlFilesLoadedOk = LoadedXmlFilesOk(Array(    ProtocolXml, _
                                                                        BuildMessageXml, _
                                                                        PrePopObjectsXml, _
                                                                        TablesXml, _
                                                                        PrapiXml, _
                                                                        QuestionValuesXml, _
                                                                        QuestionsXml, _
                                                                        SyntaxXml, _
                                                                        PrePopXml))
    End Function
    
    Private Function LoadedXmlFilesOk(arrFiles)
        dim result, xmlObj
        result = true
        For Each xmlObj In arrFiles
            If xmlObj Is Nothing Then
                result = False
                Exit For
            End If
        Next
        LoadedXmlFilesOk = result
    End Function
    
    Private Function LazyLoadXmlFile(ByRef classMember, xmlPath, blnWriteParseError)
        If Not IsObject(classMember) Then set classMember = Nothing
        If classMember Is Nothing Then
            Set classMember = LoadXmlFile(xmlPath, blnWriteParseError)
        ElseIf Not classMember Is Nothing And Len(classMember.xml) = 0 Then
            Set classMember = LoadXmlFile(xmlPath, blnWriteParseError)
        End If
        Set LazyLoadXmlFile = classMember
    End Function
    
    Private Function LoadXmlFile(xmlPath, blnWriteParseError)
        ' Description:  Loads XML from file
        On Error Resume Next
        LoadXML = False
        Dim resultXml
        Set resultXml = CreateObject("MSXML2.DOMDocument.4.0")
        If Not resultXml Is Nothing Then
            resultXml.async = False
            resultXml.ValidateOnParse = True
            resultXml.Load(xmlPath)
            If resultXml.parseError.errorCode <> 0 Then
                If blnWriteParseError Then
                    With Response
                        .Write("<table border=""0"" cellpadding=""4"">" & vbCrLf)
                        .Write("<tr><td><h3>XML Parse Error while loading XML File</h3></td></tr>" & vbCrLf)
                        .Write("<tr><td><b>XML File: </b></td><td>" & strXmlPath & "</td>")
                        .Write("<td><input type=""button"" value=""edit xml"" onclick=""vbscript:call OpenXML(False, '" & STR_EDITOR & "',True)""></td></tr>" & vbCrLf)
                        .Write("<tr><td><b>File position: </b></td><td>" & resultXml.parseError.FilePos & "</td></tr>" & vbCrLf)
                        .Write("<tr><td><b>Line: </b></td><td>" & resultXml.parseError.Line & "</td></tr>" & vbCrLf)
                        .Write("<tr><td><b>Line position: </b></td><td>" & resultXml.parseError.LinePos & "</td></tr>" & vbCrLf)
                        .Write("<tr><td><b>Reason: </b></td><td>" & resultXml.parseError.Reason & "</td></tr>" & vbCrLf)
                        .Write("<tr><td><b>Source text: </b></td><td>" & resultXml.parseError.srcText & "</td></tr>" & vbCrLf)
                        .Write("</table>" & vbCrLf)
                        .End
                    End With	
                End If
                Set resultXml = Nothing
            End If
        Else
            Response.Write "<h3>An error occurred when trying to create the XML DOM object.</h3>" & vbCrLf
            Response.Write "Reason: " & Err.Description & "</p>"
        End if
        
        Set LoadXmlFile = resultXml
    End Function
End Class
%>