<%
Class MessageTypesConfig
    Public MessageTypeConfigs(4)
    
    Private Sub Class_Initialize()
        Dim arrayId
        
        ' Referral
        arrayId = 0
        Set MessageTypeConfigs(arrayId) = new MessageTypeConfig
        MessageTypeConfigs(arrayId).Id = 1
        MessageTypeConfigs(arrayId).Name = "Referral"
        MessageTypeConfigs(arrayId).IsReplyType = false
        MessageTypeConfigs(arrayId).DefaultStylesheetFilename = Server.MapPath("../sharedGatewayStylesheets/Referral.xslt")
        MessageTypeConfigs(arrayId).Schemas = Array( _
            (New MessageTypeSchema).SetValues("2.7", false, "http://www.show.scot.nhs.uk/isd/Referral", "../sharedGatewaySchema/pbr-v2-7.xsd"), _
            (New MessageTypeSchema).SetValues("2.8", false, "http://www.show.scot.nhs.uk/isd/Referral", "../sharedGatewaySchema/pbr-v2-8.xsd"), _
            (New MessageTypeSchema).SetValues("2.9", true, "http://www.show.scot.nhs.uk/isd/Referral", "../sharedGatewaySchema/pbr-v2-9.xsd"))
        
        ' eGPFRResponse
        arrayId = 1
        Set MessageTypeConfigs(arrayId) = new MessageTypeConfig
        MessageTypeConfigs(arrayId).Id = 4
        MessageTypeConfigs(arrayId).Name = "eGPFRResponse"
        MessageTypeConfigs(arrayId).IsReplyType = true
        MessageTypeConfigs(arrayId).DefaultStylesheetFilename = Server.MapPath("../sharedGatewayStylesheets/eGPFR.xslt")
        MessageTypeConfigs(arrayId).Schemas = Array( _
            (New MessageTypeSchema).SetValues("1.2", false, "http://dwp.gov.uk/cmg/eGPFR", "../sharedGatewaySchema/eGPFR-Response-v1-2.xsd"), _
            (New MessageTypeSchema).SetValues("1.3", true, "http://dwp.gov.uk/cmg/eGPFR", "../sharedGatewaySchema/eGPFR-Response-v1-3.xsd"))
        
        ' Supplementary
        arrayId = 2
        Set MessageTypeConfigs(arrayId) = new MessageTypeConfig
        MessageTypeConfigs(arrayId).Id = 5
        MessageTypeConfigs(arrayId).Name = "Supplementary"
        MessageTypeConfigs(arrayId).IsReplyType = false
        MessageTypeConfigs(arrayId).DefaultStylesheetFilename = Server.MapPath("../sharedGatewayStylesheets/Supplementary.xslt")
        MessageTypeConfigs(arrayId).Schemas = Array( _
            (New MessageTypeSchema).SetValues("1.1", false, "http://www.show.scot.nhs.uk/isd/Supplementary", "../sharedGatewaySchema/Supplementary-v1-1.xsd"), _
            (New MessageTypeSchema).SetValues("1.2", true, "http://www.show.scot.nhs.uk/isd/Supplementary", "../sharedGatewaySchema/Supplementary-v1-2.xsd"))

        ' Advice Request
        arrayId = 3
        Set MessageTypeConfigs(arrayId) = new MessageTypeConfig
        MessageTypeConfigs(arrayId).Id = 6
        MessageTypeConfigs(arrayId).Name = "Advice Request"
        MessageTypeConfigs(arrayId).IsReplyType = false
        MessageTypeConfigs(arrayId).DefaultStylesheetFilename = Server.MapPath("../sharedGatewayStylesheets/AdviceRequest.xslt")
        MessageTypeConfigs(arrayId).Schemas = Array( _
            (New MessageTypeSchema).SetValues("1.0", true, "http://www.show.scot.nhs.uk/isd/AdviceRequest", "../sharedGatewaySchema/adviceRequest-v1-0.xsd"))
        
        ' Advice Response
        arrayId = 4
        Set MessageTypeConfigs(arrayId) = new MessageTypeConfig
        MessageTypeConfigs(arrayId).Id = 7
        MessageTypeConfigs(arrayId).Name = "Advice Response"
        MessageTypeConfigs(arrayId).IsReplyType = true
        MessageTypeConfigs(arrayId).DefaultStylesheetFilename = Server.MapPath("../sharedGatewayStylesheets/AdviceResponse.xslt")
        MessageTypeConfigs(arrayId).Schemas = Array( _
            (New MessageTypeSchema).SetValues("1.0", true, "http://www.show.scot.nhs.uk/isd/AdviceResponse", "../sharedGatewaySchema/adviceResponse-v1-0.xsd"))
    End Sub
    
    Public Function FindByMessageTypeId(messageTypeId)
        Dim result
        Set result = Nothing
        Dim messageTypeConfig
        For Each messageTypeConfig In Me.MessageTypeConfigs
            If messageTypeConfig.Id = messageTypeId Then
                Set result = messageTypeConfig
                Exit For
            End If
        Next
        
        Set FindByMessageTypeId = result
    End Function
End Class

Class MessageTypeConfig
    Public Id
    Public Name
    Public IsReplyType
    Public DefaultStylesheetFilename
    Public Schemas
    
    Public Function FindSchema(version)
        Dim result
        Set result = Nothing
        Dim schema
        For Each schema In Schemas
            If schema.Version = version Then
                Set result = schema
                Exit For
            End If
        Next
        
        Set FindSchema = result
    End Function
End Class

Class MessageTypeSchema
    Public Version
    Public DefaultSchema
    Public Uri
    Public Filename
    
    Public Function SetValues(schemaVersion, defaultSchema, schemaUri, schemaFilename)
        Dim result
        Set result = new MessageTypeSchema
        result.Version = schemaVersion
        result.DefaultSchema = defaultSchema
        result.Uri = schemaUri
        result.Filename = Server.MapPath(schemaFilename)
        Set SetValues = result
    End Function
End Class
%>