<%
Option Explicit
'============================================================================================
' File name:    previewletter.asp
' Description:  This page allows the user to view the letter prior to
'               parking the message.
'============================================================================================
%>
<!--#include file="../includes/Common.asp"-->
<!--#include file="../includes/Config.asp"-->
<!--#include file="../includes/ConfigurationFiles.asp"-->
<%
Const PRVW_LETTER               = 1
Const PRVW_XML                  = 2
Const SUBMIT_FLAG               = True
Const VALIDATION_FLAG           = False

Dim m_configurationFiles
Set m_configurationFiles = New ConfigurationFiles
Set m_configurationFiles.MessageTypeConfig = g_messageTypesConfig.FindByMessageTypeId(CInt(Request.Form("msgtypeid")))
Set m_configurationFiles.TargetSchemaString = Request.Form("targetSchemaString")
m_configurationFiles.ProtocolXmlPath = Request.Form("pvtServerProtocolPath")

Dim m_messageXml
Set m_messageXml = BuildXml()

g_strPageTitle = "Sample Letter - " & m_configurationFiles.MessageTypeConfig.Name
Call BuildPageTitle(m_messageXml, m_configurationFiles.BuildPageTitleXsltPath, g_strPageTitle)
g_strStylesheet  = "../stylesheets/main.css"
g_strJavaScripts = "../scripts/client.js"       
g_strVBScripts   = "../scripts/refletter.vbs"

Function GeneratePreviewLetterHtml()
    Dim previewLetterHtml
    Call TransformXMLStylesheet(m_messageXml, PvtServerStylesheetPath(), previewLetterHtml)
    GeneratePreviewLetterHtml = previewLetterHtml
End Function

Function BuildXml()
    Dim objMessageXML           'As MSXML2.DOMDocument40
    Dim objObjLstXML            'As MSXML2.DOMDocument40
    Set objMessageXML = Nothing
    Set objObjLstXML = LoadObjectListFromProtocol()
    If Not objObjLstXML Is Nothing Then		
        Dim objXMLCreation          'As SCI_GW_XML_CREATION.BUILDXML
        Set objXMLCreation = Server.CreateObject("SCI_GW_XML_CREATION.BUILDXML")
        If Not objXMLCreation Is Nothing Then
            Dim colOutValidationErrors
            Dim colOutValidationInternalErrors
            Dim objAck                  'As Acknowledgement
            Dim objParkXML              'As MSXML2.DOMDocument40
            Dim objSendXML              'As MSXML2.DOMDocument40
            Dim objProtInfo             'As MSXML2.DOMDocument40
            Set objParkXML = objObjLstXML
            Set objSendXML = Server.CreateObject("MSXML2.DOMDocument.4.0")
            Set objProtInfo = m_configurationFiles.ProtocolXml.selectSingleNode("//protocol")
            Set objAck = objXMLCreation.BuildXML(   m_configurationFiles.MessageTemplateXmlPath, _
                                                    m_configurationFiles.BuildMessageXmlPath, _
                                                    m_configurationFiles.SchemaTypeMapperXmlPath, _
                                                    m_configurationFiles.MessageParkInfoXmlPath, _
                                                    m_configurationFiles.SchemaXmlPath, _
                                                    m_configurationFiles.QuestionsXmlPath, _
                                                    m_configurationFiles.MessageReferenceXmlPath, _
                                                    SUBMIT_FLAG, _
                                                    VALIDATION_FLAG, _
                                                    objParkXML, _
                                                    objSendXML, _
                                                    objProtInfo, _
                                                    colOutValidationErrors, _
                                                    colOutValidationInternalErrors, _
                                                    m_configurationFiles.MessageTypeSchema.Filename, _
                                                    m_configurationFiles.MessageTypeSchema.Uri)

            Set objXMLCreation = Nothing
            If Not objAck.Success Then
                Response.Write("An error occurred building the " & m_configurationFiles.MessageTypeConfig.Name & " XML." & "<br/>")
                Response.Write("Error code=" & objAck.Errorcode & "<br/>")
                Response.Write("Error detail=" & objAck.Errordetail & "<br/>")
                Response.Write("User message=" & objAck.UserMessage & "<br/>")
                Response.End
            Else
                Set objMessageXML = Server.CreateObject("MSXML2.DOMDocument.4.0")
                Call objMessageXML.loadXML(objSendXML.xml)
            End If

        Else
            Response.Write("The XML Creation library cannot be created. Please check that this library has been installed.")
            Response.End
        End If
    Else
        Response.Write("The object list could not be read from the protocol XML.")
        Response.end
    End If
    Set BuildXml = objMessageXML
End Function

Function LoadObjectListFromProtocol()
    Dim objMasterObjLstXML  'As DOMDocument40
    Set objMasterObjLstXML = Server.CreateObject("MSXML2.DOMDocument.4.0")
    objMasterObjLstXML.loadXML("<objectlist></objectlist>")

    Dim objRootXML          'As MSXML2.IXMLDOMElement
    Set objRootXML = objMasterObjLstXML.selectSingleNode("objectlist")
    objRootXML.appendChild(m_configurationFiles.ProtocolXml.selectSingleNode("protocol"))
    objRootXML.appendChild(m_configurationFiles.BuildMessageXml.selectSingleNode("message"))

    Dim objObjectListXML    'As DOMDocument40
    Set objObjectListXML   = Server.CreateObject("MSXML2.DOMDocument.4.0")
    Call objRootXML.transformNodeToObject(m_configurationFiles.ObjectsOnProtocolsXslt, objObjectListXML)
    If objObjectListXML Is Nothing Then Exit Function

    Dim objSortedObjLstXML  'As DOMDocument40
    Set objSortedObjLstXML   = Server.CreateObject("MSXML2.DOMDocument.4.0")
    Call objObjectListXML.transformNodeToObject(m_configurationFiles.ObjectsSortXslt, objSortedObjLstXML)
    If objSortedObjLstXML Is Nothing Then Exit Function

    Set LoadObjectListFromProtocol = objSortedObjLstXML
End Function        

Function PvtServerStylesheetPath() 
    Dim result 
    Call GetFormValueDefault("pvtServerStylesheetPath", result, "string", m_configurationFiles.MessageTypeConfig.DefaultStylesheetFilename)
    PvtServerStylesheetPath = result
End Function


Function ConvertPath(strPath)
' Description:  Converts a relative / DOS path to the correct stylesheet path to use
    Dim result
    result = strPath
    'If a relative path has been provided, traverse back out of the message directory
    If InStr(result, ":") = 0 And InStr(result, "..") = 0 Then result = ".." & Replace(result, "\", "/")
    If InStr(result, "\") = 0 Then result = Server.MapPath(result) ' Check for a DOS path specification
    ConvertPath = result
End Function
%>  
<%
'Get the preview type: PRVW_LETTER, PRVW_XML
Dim m_lngPreviewType            'As Long
Call GetFormValueDefault("previewtype", m_lngPreviewType, "long", "")
If m_lngPreviewType = PRVW_LETTER THEN%>
    <!--#include file="../includes/headhtml.asp"-->
    <body>
    <table id='Table1' name='buttons' border='0'>
        <tr>
            <td id="btnPrint" class="buttonup" style="width:100px" onmouseover="buttonOver(this)" onmouseout="buttonOut(this)" onClick="vbscript: Call PrintLetter()">Print</td>
        </tr>
    </table>
    <%Response.Write(GeneratePreviewLetterHtml())%>
        </body>
    </html>
<%ElseIf m_lngPreviewType = PRVW_XML Then
    Response.Write(m_messageXml.xml)
Else
    Response.Write("Unknown preview type: " & CStr(m_lngPreviewType))
End If%>
