<%
Option Explicit
'============================================================================================
' File name:    verify.asp
' Description:  Runs a series of verification routines on a protocol XML definition.
'============================================================================================
%>
<!--#include file="../includes/Config.asp"-->
<!--#include file="../includes/ConfigurationFiles.asp"-->
<!--#include file="../includes/Verify.asp"-->
<%
Dim m_configurationFiles
Dim m_strXMLName            'As String
Dim m_xmlDOM                'As Object
Dim m_xmlOrigDOM            'As Object

Set m_configurationFiles = New ConfigurationFiles
Set m_configurationFiles.MessageTypeConfig = g_messageTypesConfig.FindByMessageTypeId(CInt(Request.Form("msgtype")))
Set m_configurationFiles.TargetSchemaString = Request.Form("targetSchemaString")
m_configurationFiles.ProtocolXmlPath = Request.Form("pvtServerProtocolPath")

m_strXMLName = Mid(m_configurationFiles.ProtocolXmlPath, InStrRev(m_configurationFiles.ProtocolXmlPath, "\") + 1)

Function ClientProtocolDir()    ClientProtocolDir       = Request.Form("clientProtocolDir") End Function
Function ServerProtocolDir()    ServerProtocolDir       = Request.Form("serverProtocolDir") End function
Function ClientXmlPath()        ClientXmlPath           = Request.Form("clientxml") End Function

Function ConfigurationId()
    If Len(Request.Form("Configuration")) > 0 Then
        ConfigurationId = CStr(Request.Form("Configuration"))
    Else
        ConfigurationId = CStr(Request.Form("ConfigurationSetting"))
    End If
End Function

Sub WriteResults(strXMLPath)
    Dim blnValid
    If (strXMLPath = "") Then
        With Response
            .Write("<h1>Invalid arguments</h1>" & vbCrLf)
            .Write("<h2>xml = " & m_configurationFiles.ProtocolXmlPath & "</h2>" & vbCrLf)
        End With
    Else
        If m_configurationFiles.ProtocolValidationXmlFilesLoadedOk(False) Then
            Set m_xmlOrigDOM = m_configurationFiles.ProtocolXml
            Response.Write("<hr/>")
            Dim strOutHTML
            Dim verifyProtXml
            Set verifyProtXml = New VerifyProtocolXml
            blnValid = verifyProtXml.ValidateXML(m_configurationFiles, True, False, strOutHTML)
            
            If blnValid Then
                'Button to jump to viewing the form
                Response.Write "<input type=""button"" id=""btnViewForm"" name=""btnViewForm"" value=""View Form"" onclick=""vbscript:launchForm()"">" 
            End If
            
            Call DisplayResult(blnValid)
            Response.Write("<br/><hr/><br/>")
            Call DumpReadCodes(m_configurationFiles.ProtocolXml)
        Else
            Response.Write("<h2>Failed to load XML from " & strXMLPath & "!</h2>" & vbCrLf) 
        End If
    
        Set m_xmlDOM = Nothing
	End If
End Sub    

Function DisplayResult(blnValid)
    Dim strValidationResult
    If ( blnValid ) Then
        strValidationResult = "<span style='color:green;font-weight:bold;'>PASSED</span>"
    Else
        strValidationResult = "<span style='color:red;font-weight:bold;'>FAILED</span>"
    End If
    Response.Write("<input type=""hidden"" id=""fldValRes"" name=""fldValRes"" value=""" & strValidationResult & """>")
End Function

Sub DumpReadCodes(xmlDOM)
'
' Description:  What "Read Codes" are being used in the protocol XML.
' Parameters:   xmlDOM - The protocol XML
'
    Dim objXMLDOMNodeList   'As MsXml2.IXMLDOMNodeList
    Dim objChildXMLDOMNode  'As Msxml2.IXMLDOMNode
    Dim count

    With Response	    
        .Write("<h2>Read Codes</h2>" & vbCrLf)
        .Write("<p>Read Codes referenced within this protocol with the related protocol question.</p>" & vbCrLf)
        .Write("<table class=""noborder"">" & vbCrLf)

        Set objXMLDOMNodeList = xmlDOM.selectNodes("//filters[@type='GPASS']/filter[@property='readCode' or @property='ReadCode']")
        For count = 0 to objXMLDOMNodeList.length-1
            .Write("<tr class=""borderedCell"">")
            Set objChildXMLDOMNode = objXMLDOMNodeList.item(count)
            .Write("<td>" & objChildXMLDOMNode.attributes.getNamedItem("value").value & "</td>")
            .Write("<td>" & objChildXMLDOMNode.parentNode.parentNode.attributes.getNamedItem("text").value & "</td>")
            .Write("</tr>" & vbCrLf)
        Next
        .Write("</table>" & vbCrLf)
    End With
    		
    Set objChildXMLDOMNode = Nothing
    Set objXMLDOMNodeList = Nothing
End Sub
%>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <script language="vbscript" src="../scripts/verify.vbs" type="text/vbscript"></script>
    <link rel="stylesheet" href="../stylesheets/pvtBuilder.css" type="text/css"/>
    <title>Verifying <%= m_strXMLName %></title>
</head>
<body id="bodyMain">
    <form action="verify.asp" method="post">
        <input name="pvtServerProtocolPath" type="hidden" value="<%=m_configurationFiles.ProtocolXmlPath%>"/>
        <input name="ConfigurationSetting" type="hidden" value="<%=ConfigurationId()%>"/>
        <input name="clientxml" type="hidden" value="<%=ClientXmlPath()%>"/>
        <input id="serverProtocolDir" name="serverProtocolDir" type="hidden" value="<%=ServerProtocolDir()%>"/>
        <input id="clientProtocolDir" name="clientProtocolDir" type="hidden" value="<%=ClientProtocolDir()%>"/>
    </form>
    <table border="0" width="100%">
    <tr>
        <td align="left"><img src="../graphics/nhssLogoSmall.gif" alt="NHSS Logo"/></td>
        <td align="center">
            <span style="font-size:24px;"><%=PVT_HEADER%></span>
            <br/>
            &copy;<%=PVT_COPYRIGHT%>
        </td>
        <td align="left" valign="top">
            <table border="0" class="noborder">
            <tr>
                <td>Version:</td>
                <td><%=PVT_VERSION%></td>
            </tr>
            <tr>
                <td valign="top">NHS Schema:</td>
                <td><%=m_configurationFiles.MessageTypeConfig.Name & " " & m_configurationFiles.TargetSchemaString%></td>
            </tr>
            </table>
        </td>
    </tr>
    </table>
    <hr/>
    <br/>
    <div style="font-size:26px">Verification Results</div>
    <br/>
    <table class="noborder" border="0" style="background:khaki">
        <tr>
            <td><b>Protocol:</b></td>
            <td><%=m_strXMLName%>
                <input id="protFile" name="protFile" type="hidden" value="<%=ClientXmlPath()%>"/>
                <input id="protDir" name="protDir" type="hidden" value="<%=ClientProtocolDir()%>"/>
            </td>
        </tr>
        <tr>
            <td><b>Full Path:</b></td>
            <td><%=m_configurationFiles.ProtocolXmlPath%></td>
        </tr>
        <tr>
            <td><b>Date/Time:</b></td>
            <td><%=FormatDateTime(Now(),vbLongDate)%> at <%=FormatDateTime(Now(),vbLongTime)%></td>
        </tr>
        <tr>
	        <td><b>Validation:</b></td>
	        <td id="fldResult"></td>
        </tr>
    </table>
    <br/>
    <div id="results">
        <%Call WriteResults(m_configurationFiles.ProtocolXmlPath)%>
    </div>
    <xml id="xmlOrigXML" name="xmlOrigXML" style="display:none"><%If Not isEmpty(m_xmlOrigDOM) Then Response.Write m_xmlOrigDOM.xml%></xml>
    <div id="divOrigXML" style="display:none"><%If Not isEmpty(m_xmlOrigDOM) Then Response.Write m_xmlOrigDOM.xml%></div>
    <br/>
    <hr/>
    <script language="vbscript" type="text/vbscript">
        document.body.scroll = "yes"
        document.all("fldResult").innerHTML = document.all("fldValRes").value
        window.name = "verifyWindow"
    </script>
</body>
</html>