<%
Option Explicit
'============================================================================================
' File name:    viewprotocol.asp
' Description:  This page opens a new or in progress message.
'============================================================================================
%>
<!--#include file="../includes/Common.asp"-->
<!--#include file="../includes/Config.asp"-->
<!--#include file="../includes/ConfigurationFiles.asp"-->
<!--#include file="../includes/Verify.asp"-->
<%
Const PROTOCOL_FORM_XSLT = "../stylesheets/protocolform.xslt"
const PREVIEWLETTER_PATH = "../message/previewletter.asp"
Const CONTROL_TYPE_REFERRER = "referrer"
Const CONTROL_TYPE_REGISTRAR = "registrar"

Dim m_configurationFiles
Dim m_strXMLName            'As String
Dim m_strControlTypes

Set m_configurationFiles = New ConfigurationFiles
Set m_configurationFiles.MessageTypeConfig = g_messageTypesConfig.FindByMessageTypeId(CInt(Request.Form("msgtype")))
Set m_configurationFiles.TargetSchemaString = Request.Form("targetSchemaString")
m_configurationFiles.ProtocolXmlPath = Request.Form("pvtServerProtocolPath")

m_strXMLName = Mid(m_configurationFiles.ProtocolXmlPath, InStrRev(m_configurationFiles.ProtocolXmlPath, "\") + 1)

g_strPageTitle      = "Viewing " & m_strXMLName
g_strStyleSheet     = "../stylesheets/protocolform.css"
g_strJavaScripts    = "../scripts/client.js"
g_strVBScripts      = "../scripts/common.vbs, " & _
                    "../scripts/gpass.vbs, " & _
                    "../scripts/gpassProtocolObject.vbs, " & _
                    "../scripts/gpassReferral.vbs, " & _
                    "../scripts/gpassPatient.vbs, " & _
                    "../scripts/gpassClinician.vbs, " & _
                    "../scripts/gpassPremises.vbs, " & _
                    "../scripts/gpassPrescribedDrug.vbs, " & _
                    "../scripts/viewprotocol.vbs, " & _
                    "../scripts/validateChiNumber.vbs, " & _
                    "../scripts/validateDate.vbs," & _
                    "../scripts/ProtMsg.vbs"

Function IsProtocolValid()
    Dim verifyProtXml
    Dim strOutHTML
    Set verifyProtXml = New VerifyProtocolXml
    IsProtocolValid = verifyProtXml.ValidateXML(m_configurationFiles, False, True, strOutHTML)
End Function

Function GenerateProtocolHtml()

    If Not m_configurationFiles.ProtocolXml Is Nothing Then
        m_strControlTypes = ""
        FindAndAddControlXmlToControlNode(CONTROL_TYPE_REGISTRAR)
        FindAndAddControlXmlToControlNode(CONTROL_TYPE_REFERRER)

        Dim objPatientXml
        Set objPatientXml = Nothing
        Set objPatientXml = Server.CreateObject("MSXML2.DOMDocument.4.0")
        If m_configurationFiles.MessageTypeConfig.IsReplyType Then
            'Do request prepopulation for reply messages
            objPatientXml.load(m_configurationFiles.SampleRequestXmlPath)
        ElseIf IsThirdParty() Then
            Dim strPrePopData
            'Do third party GP system prepopulation
            Call GetFormValueDefault("patdetails", strPrePopData, "string", "")
            objPatientXml.loadXML(strPrePopData)
        End If
        
        If Not objPatientXml Is Nothing Then
            Dim objWebAppServices
            Dim objAck
            Dim strDataEntryXml
            Dim objDataEntryXml
            Set objWebAppServices = Server.CreateObject("SCIGW_PVT.WebApplication")
            Set objAck = objWebAppServices.ProcessPatientInformation( _
                                        m_configurationFiles.ProtocolXml.xml, _
                                        objPatientXml.xml, _
                                        "myapp", _
                                        m_configurationFiles.PrePopXmlPath, _
                                        m_configurationFiles.FilterXsltPath, _
                                        strDataEntryXml)
            Set objDataEntryXml = Server.CreateObject("MSXML2.DOMDocument.4.0")
            objDataEntryXml.loadXML(strDataEntryXml)
            Call AddDataEntryXMLToProtocolXML(m_configurationFiles.ProtocolXml, objDataEntryXml)
        End If

        'Build the protocol HTML
        Dim strOutputHTML
        Call TransformXMLStylesheet(m_configurationFiles.ProtocolXml, ProtocolFormXsltPath(), strOutputHTML)

        'This is needed - try to improve and use ASP Server object
        GenerateProtocolHtml = DecodeXML(strOutputHTML)
    End If
End Function

Function FindAndAddControlXmlToControlNode(controlType)
' controlType is either CONTROL_TYPE_REFERRER or CONTROL_TYPE_REGISTRAR
    Dim objControl
    Dim objControlXml
    Dim strControlXml
    Dim controlFilePath
    Dim controlNameAttributeValue

    Select Case controlType
        Case CONTROL_TYPE_REFERRER
            controlFilePath = Server.MapPath("../message/Control_ref.xml")
            controlNameAttributeValue = "referrer"
        Case CONTROL_TYPE_REGISTRAR
            controlFilePath = Server.MapPath("../message/Control_reg.xml")
            controlNameAttributeValue = "registrar"
        Case Else
            Response.Write("Invalid Control type specified in the web page code")
            Response.End
    End Select

    Set objControl = m_configurationFiles.ProtocolXml.selectSingleNode("//control[@name='" & controlNameAttributeValue & "']")
    If Not objControl Is Nothing Then
        If Len(m_strControlTypes) = 0 Then
            m_strControlTypes = m_strControlTypes & controlType
        Else
            m_strControlTypes = m_strControlTypes & "" & controlType
        End If
        
        Set objControlXml = Server.CreateObject("MSXML2.DOMDocument.4.0")
        If objControlXml.load(controlFilePath) Then
            strControlXml = objControlXml.xml

            'Add the control xml string to the selected control node
            If Not AddControlXmlToControlNode(objControl, strControlXml) Then
                Response.Write "An error occurred retrieving the " & controlNameAttributeValue & " information."
                Response.End
            End If
        Else
            Response.Write "The Protocol Verification Tool may not have been setup correctly, "
            Response.Write "can't load xml from preview file : " & controlFilePath
            Response.end
        End IF
    End If
End Function

Function AddControlXmlToControlNode(objControl, strControlXml)
    Dim objXML
    Dim objRoot
    Dim blnSuccess
    blnSuccess = False
    Set objXML = Server.CreateObject("MSXML2.DOMDocument.4.0")
    If objXML.loadXML(strControlXml) Then
        Set objRoot = objXML.documentElement

        If (Not objRoot Is Nothing) And (Not objControl Is Nothing) Then
            If Not objControl.appendChild(objRoot) Is Nothing Then
                blnSuccess = True
            End If
        End If
    End If
    AddControlXmlToControlNode = blnSuccess
End Function

Function DecodeXML(ByVal strText)
'
' Description:  Legacy custom decoding routine for stored XML - should be updated to use ASP Server routines.
' Parameters:   strText - the XML text to decode
' Returns:      Decoded XML text
'
    If ( Len(Trim(strText)) = 0 ) Then
        DecodeXML = ""
    Else
        strText = Replace(strText, "&amp;", "&")
        strText = Replace(strText, "&lt;", "<")
        strText = Replace(strText, "&gt;", ">")
        strText = Replace(strText, "&apos;", "'")
        strText = Replace(strText, "&quot;", "'")
        strText = Replace(strText, "&cr;", vbCr)
        strText = Replace(strText, "&lf;", vbLf)

        strText = Replace(strText, "myCR", vbCr)
        strText = Replace(strText, "myLF", vbLf)
        strText = Replace(strText, "myTAB", " ")
        strText = Replace(strText, "myQuotes","""" )

        DecodeXML = strText
    End If
End Function

Sub WriteMessageInfo()
    Dim objItem, i
    'Output message object info
    For Each objItem In Request.Form
        If Request.Form(objItem).Count = 1 Then
            Response.Write "<input id='" & objItem & "' value='" & Request.Form(objItem) & "' type=hidden />"
        Else
            For i = 1 To Request.Form(objItem).Count
                Response.Write "<input id='" & objItem & "_" & CStr(i - 1) & "' value='" & Request.Form(objItem)(i) & "' type=hidden />"
            Next
        End If
    Next
    
    Response.Write "<xml id=protocolXML>" & m_configurationFiles.ProtocolXml.xml & "</xml>"
End Sub

Function AddDataEntryXMLToProtocolXML(objProtXML, objMsgXML)
    Dim blnSuccess
    Dim objRoot
    Dim objData
    Dim objDataRootNode
    blnSuccess = False

    'Get the root element of the protocol
    Set objRoot = objProtXML.documentElement

    'Get the protocol objects node from the data entry xml
    Set objData = objMsgXML.selectSingleNode("/prtobjcts")

    'Create the messagexml node in the protocol XML to allow the data entry XML to be added,
    'for transforming the protocol XML with the data entry XML into the parked message screen.
    Set objDataRootNode = objProtXML.createElement("messagexml")

    If (Not objData Is Nothing) And (Not objDataRootNode Is Nothing) Then
        'Add the data entry xml to the messagexml node of the protocol XML
        objDataRootNode.appendChild(objData)

        'If there is a root element
        If (Not objRoot Is Nothing) And (Not objMsgXML Is Nothing) Then
            If Not objDataRootNode Is Nothing Then
                If Not objRoot.appendChild(objDataRootNode) Is Nothing Then
                    blnSuccess = True
                End If
            End If
        End If
    End If

    AddDataEntryXMLToProtocolXML = blnSuccess
End Function

Private Function IsThirdParty()
    Dim blnThirdParty
    Call GetFormValueDefault("isThirdParty", blnThirdParty, "boolean", "")    'Find out if PVT is being accessed by 3rdparty app other than GPASS
    IsThirdParty = blnThirdParty
End Function

Function ProtocolFormXsltPath()
    Dim result    'As String
    Call GetFormValueDefault("xsl", result, "string", PROTOCOL_FORM_XSLT)
    If InStr(result, ":") = 0 Then result = Replace(result, "\", "/") 'If a relative path has been provided, traverse back out of the message directory
    If InStr(result, "\") = 0 Then result = Server.MapPath(result) 'Check for a DOS path specification
    ProtocolFormXsltPath = result
End Function

Function DatLoadPath()
    DatLoadPath = DatPath(true)
End Function

Function DatSavePath()
    DatSavePath = DatPath(False)
End Function

Function DatPath(blnLoadPath)
    'Get the default data load and save paths to use
    Dim loadPath
    Dim savePath
    Dim strDATPath
    Call GetFormValueDefault("dataEntryXmlPath", strDATPath, "string", "")
    
    If LCase(Right(strDATPath, 4)) = ".dat" Then
        loadPath = strDATPath
        savePath = strDATPath
    ElseIf Len(strDATPath) = 0 Then
        savePath = Replace(strDATPath, ".xml", ".dat")
    Else
        savePath = Left(strDATPath, InStrRev(strDATPath, "\")) & Replace(m_strXMLName, ".xml", ".dat") '"
    End If
    
    If blnLoadPath Then
        DatPath = loadPath
    Else
        DatPath = savePath
    End If
End Function

Function PvtServerStylesheetPath()
    Dim result
    Call GetFormValueDefault("pvtServerStylesheetPath", result, "string", m_configurationFiles.MessageTypeConfig.DefaultStylesheetFilename)
    If Len(result) = 0 Then result = m_configurationFiles.MessageTypeConfig.DefaultStylesheetFilename
    PvtServerStylesheetPath = result
End Function
%>
<!--#include file="../includes/HeadHtml.asp"-->
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Viewing <%= m_strXMLName%></title>
        <script language="javascript" src="../scripts/UpdateTitle.js" type="text/javascript"></script>
        <script language="vbscript" src="../scripts/default.vbs" type="text/vbscript"></script>
    </head>
    <body id="bodyMain">
        <!-- Hidden div holding information for client-side script -------->
        <div class="hiddenDiv" id="clientInfo">
            <input id="controls" name="controls" value="<%=m_strControlTypes%>" type="hidden"/>
            <input type="hidden" id="msgtypeid"     name="msgtypeid"		value="<%= m_configurationFiles.MessageTypeConfig.Id %>"/>
            <input type="hidden" id="dataLoadPath"  name="dataLoadPath"	value="<%= DatLoadPath() %>"/>
            <input type="hidden" id="dataSavePath"  name="dataSavePath"	value="<%= DatSavePath() %>"/>
            <input type="hidden" id="isReply" name="isReply"	value="<%= m_configurationFiles.MessageTypeConfig.IsReplyType %>"/>

            <form id="messageInfo">
            <%Call WriteMessageInfo()%>
            </form>
        </div>
        <%If m_configurationFiles.ProtocolValidationXmlFilesLoadedOk(False) Then%>
            <%If IsProtocolValid() Then %>
                <div id="protocolPage">
                    <%= GenerateProtocolHtml() %>

                    <!-- Form buttons ------------------------------------------------->
                    <div class="bottombuttonsFoot" id="botButt">
                        <table width="100%">
                            <tr>
                                <td id="formCancel" onclick="FormCancelWithConfirm('Go Back')" class="buttonup" onmouseover="buttonOver(this);" onmouseout="buttonOut(this);">Back</td>
                                <td id="formPreview" onclick="FormPreview('<%=PREVIEWLETTER_PATH%>')" class="buttonup" onmouseover="buttonOver(this);" onmouseout="buttonOut(this);">Preview Letter</td>
                                <td id="formPark" onclick="ProtocolPark()" class="buttonup" onmouseover="buttonOver(this);" onmouseout="buttonOut(this);">Park</td>
                                <td id="formXML" onclick="ProtocolXML()" class="buttonup" onmouseover="buttonOver(this);" onmouseout="buttonOut(this);">View XML</td>
                            </tr>
                        </table>
                    </div>
                </div>
                <script language="vbscript" type="text/vbscript">
                    Call ProtocolOpen()
                </script>
            <%Else%>
                <form id="frmValidate" action="verify.asp" method="post">
                    <h2>View Form Error</h2>
                    <p>
                        The form cannot be viewed for the following reason:
                        <br/><br/>
                        The protocol <b> <%= m_configurationFiles.ProtocolXmlPath %> </b> could not be validated.<br/>
                    </p>
                    <br/>
                    <a style="color:blue;text-decoration:underline;cursor:hand" onclick='vbscript:Call window.opener.VerifyProtocol("verify.asp", "<%= m_configurationFiles.ProtocolXmlPath%>")'>Validation Results</a>
                </form>
            <%End If%>
        <%Else%>
            Unable to load the protocol XML for verification.
        <%End If%>
    </body>
</html>