'============================================================================================
' File name:        ThirdParty.vbs
' Description:      Contains functionality for integration with Third Party applications.         
'============================================================================================

Function getThirdPartyIfRunning(thirdPartyProgID, objApp)    'boolean
'
' Description:	Returns a Third Party application object but only if 3rd Party App is already running.
' Parameters:	
'
    On Error Resume Next

    getThirdPartyIfRunning = false
    Set objApp = Nothing 
    Set objApp = getObject(,thirdPartyProgID)

    If not objApp is nothing Then
        getThirdPartyIfRunning = True
    Else
        getThirdPartyIfRunning = False
    End If
    err.clear
    On Error Goto 0

End Function

Function retrievePatientDetails(thirdPartyAppName, thirdPartyProgId, thirdPartyPatientKey, patientDetailsXML)
    Dim objTPApp
    Dim blnSuccess

    blnSuccess = False
    If getThirdPartyIfRunning(thirdPartyProgId, objTPApp) Then
        If Len(Trim(thirdPartyPatientKey)) = 0 Then
            objTPApp.browsePatient thirdPartyPatientKey 
        End If

        If Len(Trim(thirdPartyPatientKey)) > 0 Then
            On Error Resume Next

            call objTPApp.retrievePatientDetails(thirdPartyPatientKey, patientDetailsXML)
            If Err.Number = 0 Then
                blnSuccess = True
            End If
            On Error Goto 0
        End If
    End If

    retrievePatientDetails = blnSuccess
End Function