<?xml version="1.0" encoding="UTF-8"?>
<!--<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="http://www.sci.scot.nhs.uk" xmlns:idd="http://www.show.scot.nhs.uk/isd/Discharge" xmlns:gen="http://www.show.scot.nhs.uk/isd/General" exclude-result-prefixes="user msxsl">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<msxsl:script language="VBScript" implements-prefix="user"><![CDATA[
		
		Dim iDiagnosisCount, iProcedureCount
		
		Function DiagnosisCount()
			iDiagnosisCount = iDiagnosisCount + 1
			DiagnosisCount = iDiagnosisCount						
		End Function
		
		Function ProcedureCount
			iProcedureCount = iProcedureCount + 1
			ProcedureCount = iProcedureCount						
		End Function
		
		Function UnambiguousDate(dteDate)
			Dim     strDay			'As String
			Dim     strMonth		'As String
			Dim     strYear			'As String
			
			UnambiguousDate = "-"
			If Not IsNull(dteDate) Then
				If IsDate(dteDate) Then
					If Day(dteDate) < 10 Then
						strDay = "0" & CStr(Day(dteDate))
					Else
						strDay = CStr(Day(dteDate))    
					End If    
					strMonth = MonthName(Month(dteDate), True)
					strYear = CStr(Year(dteDate))
					
					UnambiguousDate = strDay & "-" & strMonth & "-" & strYear 
				End If			
			End If   
		End Function
		
	]]></msxsl:script>
	<xsl:template match="/">
		<xsl:apply-templates select="idd:DischargeDocument"/>
	</xsl:template>
	<xsl:template match="//idd:DischargeDocument">
		<html>
			<head>
				<!--Stylesheet href must be set programmatically using addParameter on the XSLProcessor document -->
				<!--
				<link rel="stylesheet">
					<xsl:attribute name="href"><xsl:value-of select="$stylesheet_href"/></xsl:attribute>
				</link>
				-->
				<script for="body" event="onload" language="VBScript">
					<xsl:comment><![CDATA[
						iDiagnosisCount = 0
						iProcedureCount = 0
					]]></xsl:comment>
				</script>
			</head>
			<body>
				<style>
					body {
						font-family: Tahoma, Arial, Helvetica, sans-serif;
						font-size: 11px;
						margin-top : 15px;
						margin-left : 15px;
						background-color: white;
					}
					
					p {
						margin-bottom : 2px;
						margin-top : 2px;
					}
					
					h1 {
						font-size: 18 px;
						color : black;
						margin-bottom : 5px;
						margin-top : 2px;
						font-family : Tahoma, Arial, Helvetica, sans-serif;
					}
					
					h2 {
						font-size: 14 px;
						margin-bottom : 2px;
						margin-top : 10px;
						font-family : Tahoma, Arial, Helvetica, sans-serif;
					}
					
					h3 {
						font-size: 12px ;
						font-family : Tahoma, Arial, Helvetica, sans-serif;
						margin-bottom : 2px;
						margin-top : 8px;
						font-weight : bold;
					}
					
					h4 {
						font-size: 11 px ;
						font-family : Tahoma, Arial, Helvetica, sans-serif;
						margin-bottom : 2px;
						margin-top : 8px;
						font-weight : bold;
					}					
					
					h5 {
						font-size: 10 px ;
						font-family : Tahoma, Arial, Helvetica, sans-serif;
						margin-bottom : 2px;
						margin-top : 8px;
 						font-weight : bold;
					}
					
					a {
						text-decoration: underline;
						color: Navy;
					}
					
					a:hover {
						text-decoration: none;
						color : Red;
					}
					
					table {
						font-size: 11 px ;
						padding : 0px 0px 0px 0px;
						border-collapse:collapse;
					}
					
					.hashed {
						background-color: lightgrey;
						font-weight:bold;
					}
					
					.barcode{
						font-family: SCIBC;
						font-size:20 px;
					}
					
					.barcodeText{
						font-family: Tahoma, Arial, Helvetica, sans-serif;
						font-size: 9px;
					}
				</style>
				<center>
					<xsl:if test="idd:DocumentData/gen:UniqueCarePathwayNumber">
						<div class="barcode">
							*<xsl:value-of select="idd:DocumentData/gen:UniqueCarePathwayNumber"/>*
						</div>
						<div class="barcodeText">
							Unique Care Pathway Number: <xsl:value-of select="idd:DocumentData/gen:UniqueCarePathwayNumber"/>
						</div>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="idd:MessageDataIdd/idd:PatientAdministrationIdd/idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
							<h1>CLINIC LETTER</h1>
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="idd:MessageDataIdd/idd:PatientAdministrationIdd/idd:AdmissionData/idd:Hospital/gen:OrganisationName"/>
							<h2>NHS TRUST</h2>
							<h1>IMMEDIATE DISCHARGE LETTER</h1>
						</xsl:otherwise>
					</xsl:choose>
				</center>
				<xsl:apply-templates select="idd:MessageDataIdd"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="idd:MessageDataIdd">
		<xsl:apply-templates select="idd:PatientDemographics"/>
		<p style="margin-top:8px">
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top" style="table-layout:fixed;word-wrap:break-word;">
				<tr>
					<td class="hashed">
						<b>Recommended Actions</b>
					</td>
				</tr>
				<tr>
					<td>
						<xsl:value-of select="./idd:PatientAdministrationIdd/idd:DischargeData/idd:DischargeInformation/idd:InformationToCarer"/>
					</td>
				</tr>
			</table>
		</p>
		<xsl:apply-templates select="idd:PatientAdministrationIdd" mode="basic"/>
		<xsl:apply-templates select="idd:ClinicalDataIdd" mode="basic"/>
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>Investigations:</b>
					</td>
				</tr>
			</table>
			<xsl:apply-templates select="idd:ClinicalDataIdd/idd:CurrentClinicalDataIdd" mode="investigation"/>
		</p>
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>General</b>
					</td>
				</tr>
			</table>
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr>
					<td class="hashed">
					Type
				</td>
					<td>
						<xsl:value-of select="idd:PatientAdministrationIdd/idd:DischargeData/idd:DischargeType"/>
					</td>
				</tr>
				<tr>
					<td class="hashed">
					Destination
				</td>
					<td>
						<xsl:value-of select="idd:PatientAdministrationIdd/idd:DischargeData/idd:DischargeTo"/>
					</td>
				</tr>
			</table>
		</p>
		<xsl:apply-templates select="idd:PatientAdministrationIdd" mode="review"/>
		<p style="margin-top:8px">
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top" style="table-layout:fixed;word-wrap:break-word;">
				<tr>
					<td class="hashed">Comments upon Discharge</td>
				</tr>
				<tr>
					<td>
						<xsl:choose>
							<xsl:when test="./idd:PatientAdministrationIdd/idd:DischargeData/idd:Comment">
								<xsl:value-of select="./idd:PatientAdministrationIdd/idd:DischargeData/idd:Comment"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>--</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</table>
		</p>
		<p style="margin-top:8px">
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top" style="table-layout:fixed;word-wrap:break-word;">
				<tr>
					<td class="hashed">Information given to patient</td>
				</tr>
				<tr>
					<td>
						<xsl:choose>
							<xsl:when test="idd:PatientAdministrationIdd/idd:DischargeData/idd:DischargeInformation/idd:InformationToPatient">
								<xsl:value-of select="idd:PatientAdministrationIdd/idd:DischargeData/idd:DischargeInformation/idd:InformationToPatient"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>--</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</table>
		</p>
		<p style="margin-top:8px">
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr>
					<td class="hashed">Authorisation Consultant</td>
				</tr>
				<tr>
					<td>
						<xsl:choose>
							<xsl:when test="//idd:DocumentData/gen:OriginatingHcp/gen:HcpName">
								<xsl:apply-templates select="//idd:DocumentData/gen:OriginatingHcp/gen:HcpName"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>--</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td>Signature: </td>
				</tr>
			</table>
		</p>
	</xsl:template>
	<xsl:template match="gen:OrganisationName">
		<h1>
			<u>
				<xsl:value-of select="."/>
			</u>
		</h1>
	</xsl:template>
	<xsl:template match="gen:PatientName | gen:HcpName">
		<xsl:choose>
			<xsl:when test="gen:UnstructuredName">
				<xsl:value-of select="gen:UnstructuredName"/>
			</xsl:when>
			<xsl:when test="gen:StructuredName">
				<xsl:value-of select="gen:StructuredName/gen:Title"/>
				<xsl:text>&#32;</xsl:text>
				<xsl:value-of select="gen:StructuredName/gen:GivenName"/>
				<xsl:text>&#32;</xsl:text>
				<xsl:for-each select="gen:StructuredName/gen:MiddleName">
					<xsl:value-of select="."/>
					<xsl:text>&#32;</xsl:text>
				</xsl:for-each>
				<xsl:value-of select="gen:StructuredName/gen:FamilyName"/>
			</xsl:when>
			<xsl:otherwise>-</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="idd:PatientDemographics">
		<p>
			<table border="0" width="100%" valign="top">
				<tr>
					<td valign="top" width="25%">
						<p>
							<b>Doctor</b>
						</p>
						<xsl:apply-templates select="gen:RegisteredGp"/>
					</td>
					<td valign="top" width="25%">
						<p>
							<b>Patient</b>
						</p>
						<p>
							<xsl:value-of select="gen:PatientId/gen:IdValue"/>
							<xsl:text>&#32;</xsl:text>
							<xsl:value-of select="gen:PatientId/gen:IdScheme"/>
						</p>
						<p>
							<xsl:apply-templates select="gen:PatientName"/>
							<xsl:apply-templates select="gen:Sex"/>
						</p>
						<xsl:apply-templates select="gen:PatientAddress"/>
						<xsl:apply-templates select="gen:PatientTelecom"/>
						<xsl:apply-templates select="gen:DateOfBirth"/>
					</td>
					<td valign="top" width="50%">
						<!--additional patient demographics will be displayed here-->
						<table border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td>
									<p>
										<b>Other Patient Demographics</b>
									</p>
								</td>
							</tr>
							<tr>
								<td>Health board:</td>
								<td>
									<xsl:value-of select="gen:HealthBoardOfResidence/gen:HealthBoardDetails/gen:OrganisationName/text()"/>
								</td>
							</tr>
							<tr>
								<td>Religious observance:</td>
								<td>
									<xsl:apply-templates select="/idd:DischargeDocument/idd:MessageDataIdd/idd:ClinicalDataIdd/idd:Alerts/gen:LifestyleRisk/gen:ReligiousObservance"/>
								</td>
							</tr>
							<tr>
								<td>Marital status:</td>
								<td>
									<xsl:apply-templates select="gen:MaritalStatus"/>
								</td>
							</tr>
							<!--<tr><td>Registered GP</td><td><xsl:apply-templates select="gen:RegisteredGp"/></td></tr>-->
						</table>
					</td>
				</tr>
			</table>
		</p>
	</xsl:template>
	<xsl:template match="/idd:DischargeDocument/idd:MessageDataIdd/idd:ClinicalDataIdd/idd:Alerts/gen:LifestyleRisk/gen:ReligiousObservance">
		<xsl:if test="text() != ''">
			<xsl:value-of select="."/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gen:MaritalStatus">
		<xsl:if test="text() != ''">
			<xsl:value-of select="."/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gen:Sex">
		<xsl:if test="text() != ''"><![CDATA[ (]]><xsl:value-of select="."/><![CDATA[) ]]></xsl:if>
	</xsl:template>
	<xsl:template match="gen:PatientAddress">
		<xsl:value-of select="gen:StructuredAddress/gen:PropertyNumber"/>
		<xsl:for-each select="gen:StructuredAddress/gen:AddressLine">
			<p>
				<xsl:value-of select="."/>
			</p>
		</xsl:for-each>
		<xsl:value-of select="gen:PostCode"/>
	</xsl:template>
	<xsl:template match="gen:PatientTelecom">
		<xsl:if test="gen:UnstructuredTelecom/text() != ''">
			<p>Tel: <xsl:value-of select="gen:UnstructuredTelecom"/>
			</p>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gen:DateOfBirth">
		<xsl:if test="text() != ''">
			<p>DOB: 
				<xsl:call-template name="format_date">
					<xsl:with-param name="date">
						<xsl:value-of select="."/>
					</xsl:with-param>
				</xsl:call-template>
			</p>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gen:RegisteredGp">
		<p>
			<xsl:apply-templates select="gen:HcpName"/><![CDATA[ (]]><xsl:value-of select="gen:HcpId/gen:IdValue"/><![CDATA[) ]]></p>
		<xsl:apply-templates select="gen:EmployingOrganisation"/>
	</xsl:template>
	<xsl:template match="gen:EmployingOrganisation">
		<p>
			<xsl:value-of select="gen:OrganisationName"/>
		</p>
		<p>
			<xsl:value-of select="gen:OrganisationAddress/gen:UnstructuredAddress"/>
		</p>
		<p>
			<xsl:value-of select="gen:OrganisationAddress/gen:PostCode"/>
		</p>
	</xsl:template>
	<xsl:template match="idd:PatientAdministrationIdd" mode="basic">
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>Admission Information:</b>
					</td>
				</tr>
			</table>
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr>
					<td class="hashed">Hospital</td>
					<td>
						<xsl:value-of select="idd:AdmissionData/idd:Hospital/gen:OrganisationName"/>
					</td>
					<td class="hashed">Specialty</td>
					<td>
						<xsl:value-of select="idd:AdmissionData/idd:AdmittingSpecialty"/>
					</td>
					<td class="hashed">Ward</td>
					<td>
						<xsl:value-of select="idd:AdmissionData/idd:Ward"/>
					</td>
				</tr>
				<tr>
					<td class="hashed">
						<xsl:choose>
							<xsl:when test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
							Clinic Date
						</xsl:when>
							<xsl:otherwise>
							Admission Date
						</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:call-template name="format_date">
							<xsl:with-param name="date">
								<xsl:value-of select="./idd:AdmissionData/idd:DateAdmitted"/>
							</xsl:with-param>
						</xsl:call-template>
					</td>
					<td class="hashed">Consultant</td>
					<td>
						<xsl:value-of select="idd:AdmissionData/idd:AdmittingHcp/gen:HcpName"/><![CDATA[ (]]><xsl:value-of select="idd:AdmissionData/idd:AdmittingHcp/gen:Position"/><![CDATA[) ]]></td>
					<td class="hashed">Admission type</td>
					<td>
						<xsl:value-of select="idd:AdmissionData/idd:AdmissionMode"/>
					</td>
				</tr>
			</table>
			<table frame="vsides" border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr>
					<td class="hashed">Admission reason</td>
				</tr>
			</table>
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top" style="table-layout:fixed;word-wrap:break-word;">
				<tr>
					<td>
						<xsl:value-of select="idd:AdmissionData/idd:AdmissionReason"/>
					</td>
				</tr>
			</table>
		</p>
		<xsl:if test="idd:AdmissionData/idd:Comment">
			<p>
				<table frame="vsides" border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
					<tr>
						<td class="hashed">Admission Notes</td>
					</tr>
				</table>
				<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top" style="table-layout:fixed;word-wrap:break-word;">
					<tr>
						<td>
							<xsl:value-of select="idd:AdmissionData/idd:Comment"/>
						</td>
					</tr>
				</table>
			</p>
		</xsl:if>
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>Discharge Information:</b>
					</td>
				</tr>
			</table>
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr>
					<td class="hashed">Discharge destination</td>
					<td>
						<xsl:apply-templates select="./idd:DischargeData/idd:DischargeTo"/>
					</td>
					<td class="hashed">Specialty</td>
					<td>
						<xsl:value-of select="./idd:DischargeData/idd:DischargeSpecialty"/>
					</td>
					<td class="hashed">
						<xsl:choose>
							<xsl:when test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
							Clinic
						</xsl:when>
							<xsl:otherwise>
							Ward
						</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:value-of select="./idd:DischargeData/idd:Ward"/>
					</td>
				</tr>
				<tr>
					<td class="hashed">
						<xsl:choose>
							<xsl:when test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
							Outcome
						</xsl:when>
							<xsl:otherwise>
							Discharge Date
						</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
								<xsl:value-of select="idd:DischargeData/idd:DischargeType"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="format_date">
									<xsl:with-param name="date">
										<xsl:value-of select="./idd:DischargeData/idd:DateDischarged"/>
									</xsl:with-param>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td class="hashed">Consultant</td>
					<td>
						<xsl:value-of select="./idd:DischargeData/idd:DischargingHcp/gen:HcpName/gen:UnstructuredName"/>
					</td>
					<td class="hashed">Discharge type</td>
					<td>
						<xsl:apply-templates select="./idd:DischargeData/idd:DischargeType"/>
					</td>
				</tr>
			</table>
		</p>
	</xsl:template>
	<xsl:template match="idd:ClinicalDataIdd" mode="basic">
		<xsl:apply-templates select="idd:CurrentClinicalDataIdd"/>
	</xsl:template>
	<xsl:template match="idd:CurrentClinicalDataIdd">
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>Diagnosis</b>
					</td>
				</tr>
			</table>			
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr class="hashed">
					<th colspan="2">Diagnosis Name</th>
					<th>Code</th>
					<th>Comments</th>
				</tr>
				<xsl:for-each select="idd:Condition/idd:DiagnosisIdd/gen:Diagnosis/gen:ConditionName">
					<tr>
						<td>
							<b>
								<xsl:value-of select="user:DiagnosisCount()"/>
							</b>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="./gen:ClinicalCircumstanceDescription">
									<xsl:value-of select="./gen:ClinicalCircumstanceDescription"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./gen:ClinicalCode/gen:ClinicalCodeSelectedTerm"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
						<td>
							<xsl:value-of select="./gen:ClinicalCode/gen:ClinicalCodeValue"/>
							<xsl:text>&#32;</xsl:text>
							<xsl:value-of select="./gen:ClinicalCode/gen:ClinicalCodeScheme/gen:ClinicalCodeSchemeId"/>
						</td>
						<td>
							<xsl:value-of select="../../gen:Comment"/>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</p>
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>Procedures / Operations</b>
					</td>
				</tr>
			</table>
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr class="hashed">
					<th colspan="2">Treatment Name</th>
					<th>Date</th>
					<th>Code</th>
					<th>Comments</th>
				</tr>
				<xsl:for-each select="idd:Treatment/idd:ProcedurePerformed">
					<tr>
						<td>
							<b>
								<xsl:value-of select="user:ProcedureCount()"/>
							</b>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="./idd:ProcedurePerformedIdd/gen:Procedure/gen:ProcedureName/gen:ClinicalCircumstanceDescription">
									<xsl:value-of select="./idd:ProcedurePerformedIdd/gen:Procedure/gen:ProcedureName/gen:ClinicalCircumstanceDescription"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./idd:ProcedurePerformedIdd/gen:Procedure/gen:ProcedureName/gen:ClinicalCode/gen:ClinicalCodeSelectedTerm"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
						<td>
							<xsl:call-template name="format_date">
								<xsl:with-param name="date">
									<xsl:value-of select="./idd:ProcedurePerformedIdd/gen:DatePerformed"/>
								</xsl:with-param>
							</xsl:call-template>
						</td>
						<td>
							<xsl:value-of select="./idd:ProcedurePerformedIdd/gen:Procedure/gen:ProcedureName/gen:ClinicalCode/gen:ClinicalCodeValue"/>
							<xsl:text>&#32;</xsl:text>
							<xsl:value-of select="./idd:ProcedurePerformedIdd/gen:Procedure/gen:ProcedureName/gen:ClinicalCode/gen:ClinicalCodeScheme/gen:ClinicalCodeSchemeId"/>
						</td>
						<td>
							<xsl:value-of select="./idd:ProcedurePerformedIdd/gen:Comment"/>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</p>
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>Prescribed Discharge Drugs</b>
					</td>
				</tr>
			</table>
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr class="hashed">
					<th>Drug Name</th>
					<th>Preparation</th>
					<th>Dose</th>
					<th>Frequency</th>
					<th>Route</th>
					<th>Start Date</th>
					<th>Length</th>
					<th>Quantity</th>
					<th>Comments</th>
				</tr>
				<xsl:apply-templates select="idd:DischargeMedication"/>
			</table>
		</p>
		<p style="margin-top:8px">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<b>
							<xsl:choose>
								<xsl:when test="./idd:DischargeMedication/gen:PrescribingHcp/gen:HcpName">
									<xsl:choose>
										<xsl:when test="normalize-space(./idd:DischargeMedication[last()]/gen:PrescribingHcp/gen:HcpName[not('')])">
											<xsl:text>&#160;&#160;&#160;Approved by:&#160;&#160;</xsl:text>
											<xsl:apply-templates select="./idd:DischargeMedication[last()]/gen:PrescribingHcp/gen:HcpName"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>&#160;&#160;&#160;Approval Status:&#160;&#160;Not approved</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>&#160;&#160;&#160;Approval Status:&#160;&#160;Not approved</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</b>
					</td>
				</tr>	
			</table>
		</p>
	</xsl:template>
	<xsl:template match="idd:DischargeMedication">
		<tr>
			<xsl:apply-templates select="idd:MedicationTypeIdd"/>
			<td>
				<xsl:choose>
					<xsl:when test="./idd:DrugQuantitySupplied/gen:QuantityValue = -1">
						<xsl:value-of select="./idd:DrugQuantitySupplied/gen:QuantityUnit"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./idd:DrugQuantitySupplied/gen:QuantityValue"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td>
				<xsl:value-of select="./idd:Comment"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="idd:MedicationTypeIdd">
		<td>
			<xsl:value-of select="./gen:DrugName/gen:DrugCode/gen:DrugIdentifier"/>
		</td>
		<td>
			<xsl:value-of select="./gen:DrugName/gen:DrugCode/gen:Formulation"/>
		</td>
		<td>
			<xsl:value-of select="./gen:StructuredDosage/gen:DoseDescription"/>
		</td>
		<td>
			<xsl:value-of select="./gen:StructuredDosage/gen:Frequency"/>
		</td>
		<td>
			<xsl:value-of select="./gen:StructuredDosage/gen:Route"/>
		</td>
		<td>
			<xsl:call-template name="format_date">
				<xsl:with-param name="date">
					<xsl:value-of select="./gen:StructuredDosage/gen:MedicationStartDate"/>
				</xsl:with-param>
			</xsl:call-template>
		</td>
		<td>
			<xsl:choose>
				<xsl:when test="./gen:StructuredDosage/gen:DrugDuration/gen:DrugDays/gen:TimeUnit[.='Unknown'] or ./gen:StructuredDosage/gen:DrugDuration/gen:DrugDays/gen:TimeUnit[.='Indefinite']">
					<xsl:value-of select="./gen:StructuredDosage/gen:DrugDuration/gen:DrugDays/gen:TimeUnit"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="./gen:StructuredDosage/gen:DrugDuration/gen:DrugDays/gen:TimeValue"/>
					<xsl:text>&#32;</xsl:text>
					<xsl:value-of select="./gen:StructuredDosage/gen:DrugDuration/gen:DrugDays/gen:TimeUnit"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>
	<xsl:template match="idd:PatientAdministrationIdd" mode="review">
		<p style="margin-top:8px">
			<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
				<tr>
					<td class="hashed">Follow Up</td>
					<td>
						<xsl:choose>
							<xsl:when test="./idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewNotRequired">
								<xsl:text>N</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>Y</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<tr>
						<td class="hashed">Clinic</td>
						<td>
							<xsl:choose>
								<xsl:when test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
									<xsl:value-of select="idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewAppointment/idd:Slot/gen:Clinic"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewPlan/idd:Clinic"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<tr>
						<td class="hashed">When</td>
						<td>
							<xsl:choose>
								<xsl:when test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient']">
									<xsl:call-template name="format_date">
										<xsl:with-param name="date">
											<xsl:value-of select="idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewAppointment/idd:Slot/gen:AppointmentDate"/>
										</xsl:with-param>
									</xsl:call-template>
									<xsl:text> - </xsl:text>
									<xsl:call-template name="format_date">
										<xsl:with-param name="date">
											<xsl:value-of select="idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewAppointment/idd:Slot/gen:AppointmentTime"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewPlan/idd:ReviewTimescale"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<xsl:if test="idd:AdmissionData/idd:AdmissionMode[.='Outpatient'] and not(./idd:DischargeData/idd:DischargeInformation/idd:FinalLetterToFollow)">
						<tr>
							<td class="hashed">Letter To Follow</td>
							<td>
								<xsl:value-of select="idd:DischargeData/idd:DischargePlan/idd:Review/idd:ReviewAppointment/idd:Slot/gen:Comment[@id='LetterToFollow']"/>
							</td>
						</tr>
					</xsl:if>
					<xsl:if test="./idd:DischargeData/idd:DischargeInformation/idd:FinalLetterToFollow">
						<tr>
							<td class="hashed">Letter To Follow?</td>
							<td>
								<xsl:choose>
									<xsl:when test="./idd:DischargeData/idd:DischargeInformation/idd:FinalLetterToFollow='true'">Y</xsl:when>
									<xsl:otherwise>N</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
					</xsl:if>
				</tr>
			</table>
		</p>
	</xsl:template>
	<xsl:template match="idd:ClinicalDataIdd/idd:CurrentClinicalDataIdd" mode="investigation">
		<table border="1" width="100%" cellpadding="0" cellspacing="0" bordercolor="black" valign="top">
			<tr>
				<td class="hashed">Test Type</td>
				<td class="hashed">Date</td>
				<td class="hashed">Test Results</td>
				<td class="hashed">Actions</td>
			</tr>
			<xsl:apply-templates select="idd:Investigation"/>
		</table>
	</xsl:template>
	<xsl:template match="idd:Investigation">
		<tr>
			<td>
				<xsl:choose>
					<xsl:when test="./gen:TestPerformed/gen:TestName/gen:ClinicalCircumstanceDescription">
						<xsl:value-of select="./gen:TestPerformed/gen:TestName/gen:ClinicalCircumstanceDescription"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./gen:TestPerformed/gen:TestName/gen:ClinicalCode/gen:ClinicalCodeSelectedTerm"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td>
				<xsl:if test="./gen:TestDate">
					<xsl:call-template name="format_date">
						<xsl:with-param name="date">
							<xsl:value-of select="./gen:TestDate"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</td>
			<td>
				<xsl:value-of select="./gen:TestMeasurement/gen:MeasurementDescription"/>
			</td>
			<td>
				<xsl:value-of select="./gen:TestInterpretation/gen:Interpretation"/>
			</td>
		</tr>
	</xsl:template>
	<!-- *********************** FUNCTIONS  ************************ -->
	<xsl:template name="format_date">
		<xsl:param name="date"/>
		<xsl:value-of select="user:UnambiguousDate(string($date))"/>
	</xsl:template>
</xsl:stylesheet>
