<?xml version="1.0" encoding="UTF-8"?>

<!--    eGPFR Request Stylesheet amended to look like the DBD36 Form supplied by DWP.

		Changes made to those pages dealing with GP's claim for a report fee.

		-->

<!DOCTYPE xsl:stylesheet 
 [
  <!ENTITY nbsp "&#160;">
  <!ENTITY pound "&#163;">
  <!ENTITY lsquo "&#8216;">
  <!ENTITY rsquo "&#8217;">
  <!ENTITY ldquo "&#8220;">
  <!ENTITY rdquo "&#8221;">
  <!ENTITY ndash "&#8211;">
  <!ENTITY mdash "&#8212;">
  <!ENTITY tick "/">
]>
<xsl:stylesheet version="1.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" xmlns:xdt="http://www.w3.org/2005/02/xpath-datatypes" xmlns:e="http://dwp.gov.uk/cmg/eGPFR" xmlns:gov="http://www.govtalk.gov.uk/core" xmlns:apd="http://www.govtalk.gov.uk/people/AddressAndPersonalDetails" xmlns:pd="http://www.govtalk.gov.uk/people/PersonDescriptives" xmlns:gen="http://www.show.scot.nhs.uk/isd/General" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:user="http://www.sci.scot.nhs.uk" exclude-result-prefixes="user ms">
  <xsl:output method="html" doctype-system="http://www.w3.org/TR/html4/loose.dtd"
       doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:variable name="default_blank" select="''"/>
	<ms:script language="JScript" implements-prefix="user"><![CDATA[
		
		function GetMonth(strMonthNumber)
		{
			var strMonth;
			
			switch (strMonthNumber) {
				case "01" :
					strMonth = "Jan";
					break;
				case "02" :
					strMonth = "Feb";
					break;
				case "03" :
					strMonth = "Mar";
					break;
				case "04" :
					strMonth = "Apr";
					break;
				case "05" :
					strMonth = "May";
					break;
				case "06" :
					strMonth = "Jun";
					break;
				case "07" :
					strMonth = "Jul";
					break;
				case "08" :
					strMonth = "Aug";
					break;
				case "09" :
					strMonth = "Sep";
					break;
				case "10" :
					strMonth = "Oct";
					break;
				case "11" :
					strMonth = "Nov";
					break;
				case "12" :
					strMonth = "Dec";
					break; 
				default :
					strMonth = "   ";
			} 
			return(strMonth);
		}
		
		function FormatLineBreaks(strTextToFormat)
		{
			var CrLf = String.fromCharCode(13, 10);
			var Cr = String.fromCharCode(13);
			var Lf = String.fromCharCode(10);
			var NewLine = String.fromCharCode(10);
			
			var strOut = new String();
			var strText = new String(strTextToFormat);
			strOut = strText.replace(NewLine, '<br/>');
			var aCharArray = new Array(NewLine, CrLf, Cr, Lf) 
			
			for( var i = 0; i < 4; i++)
			{
				while(strOut.match(aCharArray[i]))
				{
					strOut = strOut.replace(aCharArray[i], '<br/>');
				}
			}		
			return(strOut); 	    
		}
		
		function IsDate(strValue)
		{
			return(!isNaN(new Date(strValue)));  
		}
		
		function UnambiguousDate(strAmbiguousDate)
		{
			 var dteDate;
			 var strDay, strMonth, strYear, strDate;
			
			 // Garaunteed formats
			 strDate = new String(strAmbiguousDate);
			 strYear = strDate.substring(0,4);  
			 strMonth = strDate.substring(5,7);
			 strDay = strDate.substring(8,10);
			
			 if (IsDate(new Date(strYear,strMonth,strDay)))
			 {
				 return(strDay + "-" + GetMonth(strMonth) + "-" + strYear);
			 }
		}
		
		function IsNumeric(str)
		{
			for (var i=0; i < str.length; i++)
			{
				var ch = str.substring(i, i+1)
				if( ch < "0" || ch>"9" || str.length == null)
				{
					return (false);
				}     
			}
			return (true);
		}
		
		function IsTime(strTimeToCheck)
		{
			var strHour;
			var strMinute;
			var strSecond;
			var lFirstColon;
			var lSecondColon;
			var arrMask = new Array(4);
			var lCount;
			var bValidated;
			var strTime;
			var bIsTime;
			var lValMask;
			
			bIsTime = true;		
			strTime = new String(strTimeToCheck);
			
			arrMask[0] = new String( "9:99");
			arrMask[1] = new String("99:99");
			arrMask[2] = new String("9:99:99");
			arrMask[3] = new String("99:99:99");
			bValidated = false;
			
			for(lCount = 0; lCount < 4;  lCount++)
			{
				  // the mask needs to be the same size as the time
				 if(arrMask[lCount].length == strTime.length)
				 {
					// check the mask
					bValidated = ValidateMask(arrMask[lCount],  strTime);
					if(bValidated)
					{
						lValMask = arrMask[lCount];
						break;
					}
				 }
			}
			
			if(bValidated)
			{
				//based on the mask check that the hours, minutes and seconds are okay (00:00:00-23:59:59)
				
				//get the colons
				lFirstColon = arrMask[lCount].indexOf(":");
				
				if ((lCount == 2) || (lCount == 3))
					lSecondColon = arrMask[lCount].indexOf(":", lFirstColon + 1);
				else
					lSecondColon = 0;
				
				//get the hours
				strHour = strTime.substr(0,lFirstColon);
				bIsTime = ValidateTimeLimit(strHour, 23);
				
				// get the minutes
				strMinute = strTime.substr(lFirstColon + 1, 2);
				bIsTime = ValidateTimeLimit(strMinute, 59);
				
				if(lSecondColon)
				{
					// get the seconds
					strSecond = strTime.substr(lSecondColon + 1, 2);	
					bIsTime = ValidateTimeLimit(strSecond, 59);
				}
			}	
			else
			{
				bIsTime = false;
			}
			return(bIsTime);
		}
		
		function ValidateTimeLimit(strTimeElement, lConstraint)
		{	
		   var bValidateTimeLimit; 
			
		   bValidateTimeLimit = true;
		   if (IsNumeric(strTimeElement))
		   {
			  if (!(strTimeElement <= lConstraint))
				 bValidateTimeLimit = false;
		   }		
		   else
			  bValidateTimeLimit = false;
			
		   return(bValidateTimeLimit);
		}
		
		function ValidateMask(strValidateMask, strValidateTime)
		{
			var bValidated;
			var strMask;
			var strTime
			
			strMask = new String(strValidateMask);
			strTime = new String(strValidateTime);
			
			bValidated = true;
			for(var lCount = 1; lCount < strTime.length + 1; lCount++)
			{  
				if((strMask.substr(lCount, 1) == "9"))  
				{  
					 if(!(IsNumeric(strTime.substr(lCount, 1))))
					 {
						bValidated = false;
						break;
					 }
				}	
				else
				{
					 if (strMask.substr(lCount, 1) == ":")
					 {  
						if(!(strMask.substr(lCount, 1) == strTime.substr(lCount, 1)))
						{
						   bValidated = false;
						   break;
						}
					 }  
				}
			}					
			return(bValidated);
		}
		
		function UnambiguousDateShortTime(p_dteDate, p_strDefault)
		{
			var strTempDate, strTempTime;
			var lSpace;
			var strUnambiguousDateShortTime;
			var strDate = new String(p_dteDate);
			var strDefault = new String(p_strDefault);
			var dteTempDate = new Date(p_dteDate);
			
			strUnambiguousDateShortTime = strDefault;
			
			strDate.replace( "T", " ");
			
			if(strDate.lenth)
			{
				if (IsDate(strDate))
					strUnambiguousDateShortTime = UnambiguousDate(strDate, strDefault) + " " + dteTempDate.getDay() + "-" + dteTempDate.getMonth() + dteTempDate.getYear();
				else
				{
					 lSpace = strDate.indexOf(" ");
					 strTempDate = strDate.substr(0,strDate.indexOf(" "));
					 strTempTime = strDate.substr(strDate.indexOf(" ") + 1);
					 
					 if(IsDate(strTempDate)) 
					 {
						if(IsTime(strTempTime))
						   strUnambiguousDateShortTime = UnambiguousDate(strTempDate, strDefault) + " " 
						   +   dteTempDate.getDay() + "-" + dteTempDate.getMonth() + dteTempDate.getYear();
						else
							strUnambiguousDateShortTime = UnambiguousDate(strTempDate, strDefault) + " " + strTempTime;
					}
				}
			} 	    
			return(strUnambiguousDateShortTime);  
		}
		
	]]></ms:script>
	<xsl:template name="format_text">
		<xsl:param name="text"/>
		<xsl:param name="date"/>
		<xsl:param name="datetime"/>
		<xsl:param name="default" select="$default_blank"/>
		<xsl:choose>
			<xsl:when test="normalize-space($date)">
				<xsl:value-of select="user:UnambiguousDate(string($date))"/>
			</xsl:when>
			<xsl:when test="normalize-space($datetime)">
				<xsl:value-of select="$datetime"/>
			</xsl:when>
			<xsl:when test="normalize-space($text)">
				<xsl:value-of disable-output-escaping="yes" select="user:FormatLineBreaks(string($text))"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$default"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
  <xsl:template name="formatdate">
    <xsl:param name="d"/>
    <xsl:choose>
      <xsl:when test="$d">
        <xsl:value-of select="substring($d,9,2)"/>
        <xsl:text>/</xsl:text>
        <xsl:value-of select="substring($d,6,2)"/>
        <xsl:text>/</xsl:text>
        <xsl:value-of select="substring($d,1,4)"/>
      </xsl:when>
      <xsl:otherwise>
        &nbsp;
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="formatbool">
    <xsl:param name="b"/>
    <xsl:if test="$b = 'true'">
      Yes
    </xsl:if>
    <xsl:if test="$b = 'false'">
      No
    </xsl:if>
  </xsl:template>
  <xsl:template name="customername">
    <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientName/gen:StructuredName/gen:Title"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientName/gen:StructuredName/gen:GivenName"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientName/gen:StructuredName/gen:FamilyName"/>
  </xsl:template>
  <xsl:template name="nino">
    <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientId[gen:IdScheme='NINO']/gen:IdValue"/>
  </xsl:template>
  <xsl:template name="dob">
    <xsl:call-template name="formatdate">
      <xsl:with-param name="d" select="e:Request/e:Person/e:PatientDemographics/gen:DateOfBirth"/>
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="bannertext">
    Please complete and return this report template electronically
    by clicking the Reply button at the top of the page.<br/>
    See Section 7 of the SCI Gateway
    <a href="http://www.sci.scot.nhs.uk/products/gateway/gate_docs/user/Sending%20&amp;%20Receiving%20Messages%20v12.1.pdf" target="_blank">Sending &amp; Receiving Messages User Guide</a>.
  </xsl:template>
  <xsl:template name="boxcells">
    <xsl:param name="value"/>
    <xsl:param name="boxes"/>
    <xsl:if test="$boxes &gt; 0">
      <td class="fill">
        <xsl:value-of select="substring($value,1,1)"/>
      </td>
      <xsl:call-template name="boxcells">
        <xsl:with-param name="value" select="substring($value,2)"/>
        <xsl:with-param name="boxes" select="$boxes - 1"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="boxes">
    <xsl:param name="value"/>
    <xsl:param name="boxes"/>
    <table class="fill">
      <tr>
        <xsl:call-template name="boxcells">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="boxes" select="$boxes"/>
        </xsl:call-template>
      </tr>
    </table>
  </xsl:template>
  <xsl:template name="ticktrue">
    <xsl:param name="b"/>
    <td class="fill">
      <xsl:if test="$b = 'true'">
        &tick;
      </xsl:if>
    </td>
  </xsl:template>
  <xsl:template name="tickfalse">
    <xsl:param name="b"/>
    <td class="fill">
      <xsl:if test="$b != 'true'">
        &tick;
      </xsl:if>
    </td>
  </xsl:template>
  <xsl:template name="dwp">
    <div style="height: 40px">
      <!-- <img src="http://www.dwp.gov.uk/_images/dwplogo.gif" alt="Department for Work and Pensions" /> -->
      <!-- Html version of the DWP logo -->
      <div style="width:7cm;height:1cm;">
        <table cellspacing="0" cellpadding="0" border="0">
          <tr>
            <td style="font-size:40px;font-family:Lucida Sans Unicode;color:#339999;font-weight:bold;">DWP</td>

            <td style="padding-left:10px;padding-top:4px;font-size:16px;font-family:arial;color:#663399;font-weight:bold;">
              Department for<br/>Work and Pensions
            </td>

          </tr>

        </table>

      </div>

    </div>
  </xsl:template>
  <xsl:template match="/*">
    <html>
      <head>
        <style type="text/css">
          body
          {
          font-family: Arial, Sans-Serif;
          margin-top: 15px;
          margin-left: 15px;
          }
          h1
          {
          font-size: 12pt;
          }
          h2
          {
          font-size: 11pt;
          }
          p
          {
          font-size: 10pt;
          }
          table
          {
          }
          td
          {
          font-size: 10pt; vertical-align: center;
          }
          li
          {
          font-size: 10pt;
          }
          .box
          {
          border-collapse: collapse;
          border: 1pt solid black;
          padding: 2pt;
          height: 0.5cm;
          width: 3.5cm
          }
          .box-small
          {
          border-collapse: collapse;
          border: 1pt solid black;
          padding: 2pt;
          height: 0.5cm;
          width: 0.5cm
          }
          .box-medium
          {
          border-collapse: collapse;
          border: 1pt solid black;
          padding: 2pt;
          height: 0.5cm;
          width: 5.4cm;
          }
          .box-medium2
          {
          text-align: left;
          border-collapse: collapse;
          border: 1pt solid black;
          padding: 2pt;
          height: 0.5cm;
          width: 9.5cm
          }
          .box-medium3
          {
          text-align: left;
          border-collapse: collapse;
          border: 1pt solid black;
          padding: 2pt;
          height: 2cm;
          width: 9.5cm
          }
          .box-long
          {
          border-collapse: collapse;
          border: 1pt solid black;
          padding: 2pt;
          height: 0.5cm;
          width: 11.5cm
          }
          .box-big
          {
          border-collapse: collapse;
          border: 1pt solid black;
          height: 20mm;
          }
          .answer
          {
          border: 1pt solid black;
          padding: 5pt;
          margin-top: 5pt;
          margin-bottom: 10pt;
          height: 5.5cm; <!--RY changed from 6cm RY-->
          }
          .answer-big
          {
          border: 1pt solid black;
          padding: 5pt;
          margin-top: 5pt;
          margin-bottom: 10pt;
          height: 12cm;
          }
          .answer-small
          {
          border: 1pt solid black;
          padding: 5pt;
          margin-top: 5pt;
          margin-bottom: 10pt;
          height: 2cm;
          }
          table.fill
          {
          display: inline;
          border-collapse: collapse;
          }
          td.fill
          {
          border: 1pt solid black;
          height: 5.5mm;
          width: 6mm;
          text-align: center;
          }
          td.shade
          {
          border: 1pt solid black;
          height: 15pt;
          width: 12pt;
          text-align: center;
          background-color: silver;
          }
          .nopage
          {
          page-break-inside: avoid;
          }
          .page
          {
          page-break-before: always;
          }
          .printonly
          {
          display: none;
          }
          .printonlywide
          {
          display: none;
          }
          @page
          {
          margin-top: 0.5cm;
          margin-bottom: 0.5cm;
          margin-left: 0.75cm;
          margin-right: 0.75cm;
          }
          @media print
          {
          body {
          font-family: Arial, Sans-Serif;
          font-size: 12pt;
          }
          hr
          {
          display: none;
          }
          .noprint
          {
          display: none;
          }
          h1
          {
          font-family: Arial, Sans-Serif;
          font-size: 16pt;
          }
          h2
          {
          font-family: Arial, Sans-Serif;
          font-size: 14pt;
          }
          p
          {
          font-family: Arial, Sans-Serif;
          font-size: 12pt;
          }
          table
          {
          }
          td
          {
          font-family: Arial, Sans-Serif;
          font-size: 12pt;
          vertical-align: center;
          }
          li
          {
          font-family: Arial, Sans-Serif;
          font-size: 12pt;
          }
          .larger
          {
          font-family: Arial, Sans-Serif;
          font-size: 14pt;
          }
          .smaller
          {
          font-family: Arial, Sans-Serif;
          font-size: 10pt;
          }
          td.marker
          {
          }
          div.marker
          {
          width: 2mm;
          height: 4mm;
          padding-bottom: 4px;
          border-bottom: solid 1px black;
          }
          span.marker
          {
          border-left: solid 1mm maroon;
          border-right: solid 1mm maroon;
          }
          .printonly
          {
          display: inherit;
          }
          .printonlywide
          {
          display: inherit;
          border: collapse;
          <xsl:comment>
            <![CDATA[[if gte IE 8]>]]>
            width:180mm;
            <![CDATA[<![endif]]]>
          </xsl:comment>
          }
          }
        </style>
        <xsl:comment>
          <![CDATA[[if gte IE 8]>
          <style type="text/css" media="print">
            .w180mm
            {
            width:180mm;
            }
            .w144mm
            {
            width:144mm;
            }
            .w130mm
            {
            width:130mm;
            }
            .w100mm
            {
            width:100mm;
            }
            .w52mm
            {
            width:52mm;
            }
          </style>
          <![endif]]]>
        </xsl:comment>
      </head>

      <body>
        <table border="0" cellspacing="0" cellpadding="0" style='border-collapse: collapse;'>
          <tr>
            <td colspan="4">
              &nbsp; <!-- bit of vertical space -->
            </td>
          </tr>
          <tr>
            <td colspan="4" style="border: solid 1px black; padding: 3px; text-align: center; font-size: larger">
              <b>
                <xsl:call-template name="bannertext"/>
              </b>
            </td>
          </tr>
          <tr>
            <td colspan="4">
              &nbsp; <!-- bit of vertical space -->
            </td>
          </tr>
          <tr>
            <td>
              <xsl:call-template name="dwp"/>
            </td>
            <td rowspan="10" style="width: 27pt;">
            </td>
            <td colspan="2">
              If you get in touch with us tell us this reference number
              <b>
                <xsl:call-template name="nino"/>
              </b>
            </td>
          </tr>
          <tr>
            <td>
              <b>Disability and Carers Service</b>
            </td>
            <td rowspan="4" colspan="2">
              Our address
              <br/>
              <xsl:for-each select="e:Request/e:Requester/e:Address/apd:Line">
                <xsl:value-of select="."/>
                <br/>
              </xsl:for-each>
              <xsl:for-each select="e:Request/e:Requester/e:Address/apd:PostCode">
                <xsl:value-of select="."/>
                <br/>
              </xsl:for-each>
            </td>
          </tr>
          <tr>
            <td>
              Website: <a href="http://www.dwp.gov.uk" target="_blank">www.dwp.gov.uk</a>
            </td>
          </tr>
          <tr>
            <td rowspan="5">
              <xsl:value-of select="e:Request/e:Recipient/e:Name/pd:PersonNameTitle"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="e:Request/e:Recipient/e:Name/pd:PersonGivenName"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="e:Request/e:Recipient/e:Name/pd:PersonFamilyName"/>
              <br/>
              <xsl:for-each select="e:Request/e:Recipient/e:Address/apd:Line">
                <xsl:value-of select="."/>
                <br/>
              </xsl:for-each>
              <xsl:for-each select="e:Request/e:Recipient/e:Address/apd:PostCode">
                <xsl:value-of select="."/>
                <br/>
              </xsl:for-each>
            </td>
          </tr>
          <tr>
          </tr>
          <tr>
            <td colspan="2">
              &nbsp;
            </td>
          </tr>
          <tr>
            <td>
              Our phone number
            </td>
            <td>
              <b>
                <xsl:value-of select="e:Request/e:Requester/e:Telephone"/>
              </b>
            </td>
          </tr>
          <tr>
            <td>
              If you have a text phone
            </td>
            <td>
              <b>
                <xsl:value-of select="e:Request/e:Requester/e:TextTelephone"/>
              </b>
            </td>
          </tr>
          <tr>
            <td rowspan="2">
              &nbsp;
            </td>
            <td colspan="2">
              &nbsp;
            </td>
          </tr>
          <tr>
            <td colspan="2">
              Date
              <xsl:call-template name="formatdate">
                <xsl:with-param name="d" select="e:Request/e:DocumentData/e:RequestDateTime"/>
              </xsl:call-template>
            </td>
          </tr>
        </table>
        <p>
          <xsl:choose>
            <xsl:when test="e:Request/e:Recipient/e:Name">
              <xsl:text>Dear </xsl:text>
              <xsl:value-of select="e:Request/e:Recipient/e:Name/pd:PersonNameTitle"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="e:Request/e:Recipient/e:Name/pd:PersonGivenName"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="e:Request/e:Recipient/e:Name/pd:PersonFamilyName"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>Dear Doctor</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </p>
        <p>
          <b>
            Factual Report for
            <xsl:value-of select="e:Request/e:Benefit/e:BenefitType"/>
          </b>
        </p>
        <p>
          I am writing to you about
          <xsl:call-template name="customername"/>
          <xsl:text>, Date of Birth </xsl:text>
          <xsl:call-template name="dob"/>
        </p>
        <p>
          <b>
            Note. If the person has died or recently moved to another area please still complete
            the report if you can.
          </b>
        </p>
        <p>
          Your patient (or person appointed to handle their affairs) has made a claim for
          <xsl:value-of select="e:Request/e:Benefit/e:BenefitType"/>.
          This is a benefit for people with severe disability. Entitlement is based on the
          amount of personal care or supervision needed or difficulty with getting around
          as a result of this disability. In order to decide this claim we need further information
          about their medical condition(s).
        </p>
        <p>
          <b>
            We hold your patient&rsquo;s (or a person appointed to handle their affairs) written
            consent to allow us to approach you for this information.
          </b>
        </p>
        <p>
          We would be grateful if you would answer the questions on this factual report based
          on your knowledge of the patient and their records. A special examination is not
          required.
          It would be very helpful in assessing your patient&rsquo;s benefit claim if you could reply
          within 10 working days. You may make a claim for a fee of
          &pound;<xsl:value-of select="e:Request/e:Recipient/e:ClaimAmount"/>
          with your report.
        </p>
        <p>
          The person making the claim may, at any stage, request a copy of this report to
          be sent to them.
          If there is any information you think would be harmful to their health, for example
          an adverse diagnosis or prognosis unknown to them, please provide details on the
          appropriate section of the report, marked <b>&ldquo;Harmful Information&rdquo;.</b>
        </p>
        <p>
          Please include in your report any relevant information contained in letters or reports
          from hospitals or consultants. If you think it is essential to send us originals
          or any copies of any letters from consultants, please obtain the author&rsquo;s
          consent for the correspondence to be used in connection with your patient&rsquo;s
          claim.
        </p>
        <p>
          To ensure compliance with &lsquo;Rehabilitation of Offenders Act 1974&rsquo;, your
          report should not contain any reference to criminal convictions, whether spent or
          not, unless the information is directly relevant to the customer&rsquo;s condition
          or disability.
          This report is not subject to the Access to Medical Reports Act 1998. The patient
          does not need to read it before it is returned.
        </p>
        <p>
          The Disability Living Allowance and Attendance Allowance Helpline is set up to answer
          enquiries. Please get in touch with them if you want to ask about anything in this
          letter. To make sure you receive a good standard of service from the Disability
          Living Allowance and Attendance Allowance Helpline, our Managers may monitor or
          record telephone calls without warning.
        </p>
        <p>
          Thank you for your help.
        </p>
        <p>
          Yours sincerely
        </p>
        <p>
          <xsl:value-of select="e:Request/e:Requester/e:Name"/>
        </p>
        <p>
          On behalf of the Department for Work and Pensions
        </p>
        <p class="noprint">
          <a href="http://www.dwp.gov.uk/healthandwork/publications/dla-aa-6pp-factual.pdf" target="_blank">Further guidance</a>
        </p>
        <hr/>
        <h2 class="page">
          Customer&rsquo;s Details
        </h2>
        <table>
          <tr>
            <td>
              <b>Full Name</b>
            </td>
            <td style="width: 200pt;">
              <xsl:call-template name="customername"/>
            </td>
            <td>
              <b>Date of Birth</b>
            </td>
            <td>
              <xsl:call-template name="dob"/>
            </td>
          </tr>
          <xsl:for-each select="e:Request/e:Person/e:PatientDemographics/gen:PatientAddress/gen:StructuredAddress/gen:AddressLine">
            <tr>
              <td>
                <xsl:if test="position() = 1">
                  <b>Address</b>
                </xsl:if>
              </td>
              <td colspan="2">
                <xsl:value-of select="."/>
              </td>
            </tr>
          </xsl:for-each>
          <xsl:for-each select="e:Request/e:Person/e:PatientDemographics/gen:PatientAddress/gen:PostCode">
            <tr>
              <td>
              </td>
              <td colspan="2">
                <xsl:value-of select="."/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <p>
          <b>Information from your patient&rsquo;s claim shows that they have the following medical condition/disabilities.</b>
        </p>
        <ol>
          <xsl:for-each select="e:Request/e:Disabilities/e:Disability">
            <li>
              <xsl:value-of select="."/>
            </li>
          </xsl:for-each>
        </ol>
        <p>
          <b>For the attention of the General Practitioner</b>
        </p>
        <p>
          <b>In the section headed YOUR REPORT please consider and comment in your response on the following:</b>
        </p>
        <xsl:for-each select="e:Request/e:Guidelines/e:Guideline">
          <p>
            <xsl:value-of select="."/>
          </p>
        </xsl:for-each>
        <hr/>
        <h2 class="page">
          Your Report
        </h2>
        <p style="border: solid 1px black; padding: 3px; text-align: center; font-size: larger">
          <b>
            <xsl:call-template name="bannertext"/>
          </b>
        </p>
        <p>
          Date when patient last seen:
          <span class="box">
            <xsl:call-template name="formatdate">
              <xsl:with-param name="d" select="e:Response/e:ReportAnswers/e:DateLastSeen"/>
            </xsl:call-template>
          </span>
        </p>
        <ol>
          <li class="nopage">
            Diagnosis of the disabling conditions (do not include minor transient conditions)
            <div class="answer">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:Diagnosis"/>
					</xsl:with-param>
				</xsl:call-template>
            </div>
          </li>
          <li class="nopage">
            Please give brief details of the condition(s) stating whether they are mild, moderate,
            or servere, in your answer. Include details of any relevant special investigations
            <div class="answer">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:History"/>
					</xsl:with-param>
				</xsl:call-template>
            </div>
          </li>
          <li class="nopage">
            Day to day variation in the condition(s) (if any) including frequency and duration
            of exacerbations
            <div class="answer">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:Variation"/>
					</xsl:with-param>
				</xsl:call-template>
            </div>
          </li>
          <li class="page">
            Relevant clinical findings - for example, visual acuities, hearing, ascultatory
            finding, peak flow, range of joint movement, muscle wasting, SLR, reflexes, extent
            of breathlessness
            <div class="answer">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:ClinicalFindings"/>
					</xsl:with-param>
				</xsl:call-template>
            </div>
          </li>
          <li class="nopage">
            Treatment - Current treatment including medication and dosage, response to treatment
            including control of condition and prognosis
            <div class="answer">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:Treatment"/>
					</xsl:with-param>
				</xsl:call-template>
            </div>
          </li>
          <li class="nopage">
            Please give details, IF KNOWN, of the effects of the disabling condition(s) on day
            to day life.
            <ol style="list-style-type: lower-alpha">
              <li>
                Self care - for example, washing, dressing, feeding, using the toilet, continence,
                and ability to rise from the chair
                <div class="answer-small">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:EffectsOfConditions/e:SelfCare"/>
					</xsl:with-param>
				</xsl:call-template>
                </div>
              </li>
              <li>
                Insight and awareness of danger
                <div class="answer-small">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:EffectsOfConditions/e:Insight"/>
					</xsl:with-param>
				</xsl:call-template>
                </div>
              </li>
              <li>
                Ability to get around including pain, gait, balance, breathlessness and visual loss
                <div class="answer-small">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:EffectsOfConditions/e:Mobility"/>
					</xsl:with-param>
				</xsl:call-template>
                </div>
              </li>
            </ol>
          </li>
          <li class="page">
            Please add any further details you think would be helpful to the Department when
            deciding on this claim
            <div class="answer">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:Other"/>
					</xsl:with-param>
				</xsl:call-template>
            </div>
          </li>
        </ol>
        <p>
          <b>Thank You</b>
        </p>
        <p>
          <b>
            I understand that, in certain circumstances, this report will be released to my patient,
            their legal representative and any authority deciding an appeal in relation to their
            entitlement to benefit.  I also understand that the only information that can be withheld
            is medical evidence that would be harmful to the person&rsquo;s health.
          </b>
        </p>
        <table>
          <tr>
            <td>Is this patient known to you?</td>
            <td>
              <div class="box">
                <xsl:call-template name="formatbool">
                  <xsl:with-param name="b" select="e:Response/e:Attestation/e:PatientKnown"/>
                </xsl:call-template>&nbsp;
              </div>
            </td>
          </tr>
          <tr>
            <td>Do you attest to the accuracy of this report?</td>
            <td>
              <div class="box">
                <xsl:call-template name="formatbool">
                  <xsl:with-param name="b" select="e:Response/e:Attestation/e:Attested"/>
                </xsl:call-template>&nbsp;
              </div>
            </td>
          </tr>
          <tr>
            <td>Name:</td>
            <td>
              <div class="box">
                <xsl:value-of select="e:Response/e:Attestation/e:Signatory"/>
              </div>
            </td>
          </tr>
          <tr>
            <td>Date sent:</td>
            <td class="box">
              <xsl:call-template name="formatdate">
                <xsl:with-param name="d" select="e:Response/e:DocumentData/e:ResponseDate"/>
              </xsl:call-template>
              &nbsp;
              <xsl:value-of select="e:Response/e:DocumentData/e:ResponseTime"/>
            </td>
          </tr>
        </table>
        <hr/>
        <h2 class="page">Harmful Information &ndash; do not copy</h2>
        <p>
          We may have to send a copy of the report to your patient. Certain information may be
          withheld if it appears to the Decision Maker or Appeal Tribunal that its disclosure
          would be <b>harmful to your patient&rsquo;s health</b>. An example of what may be harmful
          information is a diagnosis or prognosis that is <b>not</b> known to your patient, such as
          malignancy, progressive neurological conditions or <b>major</b> mental illness.
        </p>
        <p>
          <b>Please note that we cannot withhold information on any other grounds.</b>
          For example, information relating to comments or remarks likely to cause embarrassment
          to the customer, carer, the author or a professional colleague.
        </p>
        <p>
          <b>Please only write about harmful information on this page.</b>
        </p>
        <p class="answer-big">
				<xsl:call-template name="format_text">
					<xsl:with-param name="text">
						<xsl:value-of select="e:Response/e:ReportAnswers/e:HarmfulInformation"/>
					</xsl:with-param>
				</xsl:call-template>
        </p>
        <hr/>
        <div class="page" style="height: 0">&nbsp;</div>
        <table class="printonlywide">
          <tr>
            <td class="w100mm">
              <xsl:call-template name="dwp"/>
            </td>
            <td colspan="3" align="right">
              <b class="smaller">
                <u>
                  <xsl:value-of select="e:Request/e:Benefit/e:BenefitType"/>
                </u>
                <br/>
                Claim for a medical report fee
              </b>
            </td>
          </tr>
          <tr>
            <td></td>
            <td class="w52mm"></td>
            <td class="marker">
              <div class="marker">
                <span class="marker">
                </span>
              </div>
            </td>
            <td></td>
          </tr>
        </table>
        <table class="w180mm">
          <tr>
            <td style="width: 1cm">
              <b class="larger">A</b>
            </td>
            <td>
              <b class="larger">About the person with the illness or disability</b>
            </td>
          </tr>
          <tr>
            <td>
            </td>
            <td style="width: 100%">
              <table style="width: 100%">
                <tr>
                  <td style="width: 100%">Surname</td>
                  <td colspan="3" style="height: 8mm">
                    <div class="box-long">
                      <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientName/gen:StructuredName/gen:FamilyName"/>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>Other Names</td>
                  <td style="height: 8mm">
                    <div class="box-medium">
                      <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientName/gen:StructuredName/gen:GivenName"/>
                    </div>
                  </td>
                  <td style="width: 3mm">
                    &nbsp;
                  </td>
                  <td>
                    <div class="box-medium">&nbsp;</div>
                  </td>
                </tr>
                <tr>
                  <td>National Insurance Number</td>
                  <td>
                    <div class="box">
                      <xsl:call-template name="nino"/>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>Date of Birth</td>
                  <td>
                    <div class="box">
                      <xsl:call-template name="dob"/>
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td>
              <b class="larger">B</b>
            </td>
            <td>
              <b class="larger">Declaration</b> &nbsp;&nbsp;&nbsp;&nbsp; Please complete <b>all</b> the boxes on this page to assist payment.
            </td>
          </tr>
          <tr>
            <td>
              &nbsp;
            </td>
            <td>
              To claim
              &pound;<xsl:value-of select="e:Request/e:Recipient/e:ClaimAmount"/>
              for completion of the report, please return the completed form together
              with the report so that payment can be made. <b>
                <u class="smaller">
                  PLEASE COMPLETE IN BLOCK CAPITALS
                  USING BLACK INK
                </u>
              </b> and return in the envelope provided, it does not need a stamp.
            </td>
          </tr>
          <tr>
            <td>
              <b>B1</b>
            </td>
            <td>
              <table class="fill">
                <tr>
                  <td style="width: 110mm">
                    <b>Is this your first claim?</b> (Please tick appropriate box)
                  </td>
                  <xsl:call-template name="ticktrue">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:FirstClaim"/>
                  </xsl:call-template>
                  <td style="width: 20mm">
                    &nbsp;
                    &nbsp;
                    <b>Yes</b>
                  </td>
                  <xsl:call-template name="tickfalse">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:FirstClaim"/>
                  </xsl:call-template>
                  <td>
                    &nbsp;
                    &nbsp;
                    <b>No</b>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td>
              If you have ticked <b>Yes</b> please also complete <b>Section C</b> on page 2 and move directly
              to Question <b>B3 below.</b>
            </td>
          </tr>
          <tr>
            <td style="vertical-align: top">
              <b>B2</b>
            </td>
            <td style="vertical-align: top">
              <table width="100%">
                <tr>
                  <td>
                    Please Provide your Payee Reference Number. This can<br/>
 be found on your last Remittance Advice Slip
                  </td>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:PayeeReferenceNumber"/>
                      <xsl:with-param name="boxes" select="7"/>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td style="vertical-align: top">
              <b>B3</b>
            </td>
            <td style="vertical-align: top">
              <table width="100%">
                <tr>
                  <td>
                    Please Provide your GMC Number. This will help us <br/>maintain more accurate records.
                  </td>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:GMCNumber"/>
                      <xsl:with-param name="boxes" select="8"/>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td style="vertical-align: top">
              <b>B4</b>
            </td>
            <td>
              <table style="width: 100%">
                <tr>
	
                  <xsl:call-template name="ticktrue">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:ClaimingFee"/>
                  </xsl:call-template>
&nbsp;
                  <td>
                    <b>I am claiming the fee for completing the report</b> (please tick appropriate box)
                  </td>
                </tr>
                <tr>
	
                  <xsl:call-template name="tickfalse">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:ClaimingFee"/>
                  </xsl:call-template>
&nbsp;
                  <td>
                    <b>I am not claiming the fee for completing the report</b>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td style="vertical-align: top">
              &nbsp;&nbsp;
            </td>
            <td>
              <table class="fill" style="width: 100%">
                <tr>
                  <td>
    <!--RY                &nbsp;
                    &nbsp;
                    &nbsp;
                    &nbsp;RY-->
                    <b>Are you registered for VAT?</b>
     <!--RY               &nbsp;
                    &nbsp;
              	    &nbsp;
                    &nbsp;RY-->
                  </td>
                  <xsl:call-template name="tickfalse">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:VATRegistered"/>
                  </xsl:call-template>
                  <td style="width: 10mm">
                    &nbsp;
                    &nbsp;
                    <b>No</b>
                  </td>
                  <xsl:call-template name="ticktrue">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:VATRegistered"/>
                  </xsl:call-template>
                  <td>
                    &nbsp;
                    &nbsp;
                    <b>Yes</b>
                  </td>
                  <td style="text-align: right">
                    Please provide your VAT No.
                    &nbsp;
                    &nbsp;
                  </td>
                </tr>
                <tr>
                  <td colspan="5"></td>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:VATNumber"/>
                      <xsl:with-param name="boxes" select="9"/>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td valign="top">
              <b>B5</b>
            </td>
          
<td>
              <table style="width: 100%">
                <tr>
                  <td>
                    &nbsp;
                  </td>
                  <td>
                    &nbsp;&nbsp;Title
                  </td>
                  <td colspan="2">
                    &nbsp;&nbsp;Initials
                  </td>
                  <td>
                    &nbsp;&nbsp;Surname
                  </td>
                </tr>
                <tr>
                  <td>
                    Your Name
                    &nbsp;
  <!--RY&nbsp; RY-->
                  </td>
                  <td>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Request/e:Recipient/e:Name/pd:PersonNameTitle"/>
                      <xsl:with-param name="boxes" select="4"/>
                    </xsl:call-template>
                    &nbsp;
 <!--RY                    &nbsp;RY-->
                  </td>
                  <td>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Request/e:Recipient/e:Name/pd:PersonGivenName[1]"/>
                      <xsl:with-param name="boxes" select="1"/>
                    </xsl:call-template>
                    &nbsp;
  <!--RY                   &nbsp;
  &nbsp; RY-->                
</td>
<td>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Request/e:Recipient/e:Name/pd:PersonGivenName[2]"/>
                      <xsl:with-param name="boxes" select="1"/>
                    </xsl:call-template>
                    &nbsp;
  <!--RY                  &nbsp;RY-->
                  </td>
                  <td>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Request/e:Recipient/e:Name/pd:PersonFamilyName"/>
                      <xsl:with-param name="boxes" select="13"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <!--   Steve 06/01/10
                <tr>
                  <td class="smaller">
                  </td>
                  <td class="smaller">
                    (e.g. Dr, Mr, Mrs)
                  </td>
                </tr>
				-->
              </table>
            </td>
          </tr>
         <tr valign="top">
            <td>
              <b>B6</b>
            </td>
            <td>
              <table width="100%">
                <tr valign="top">
                  <td rowspan="4">
                    Name and daytime phone number (including STD code) of a person
                    to contact if we have a query with this form.
                  </td>
                  <td>Name (in full)</td>
                </tr>
                <tr>
                  <td>
                    <div class="box-medium2">
                      <xsl:value-of select="e:Response/e:FeeClaim/e:Contact/e:Name/pd:PersonNameTitle"/>
                      &nbsp;
                      <xsl:value-of select="e:Response/e:FeeClaim/e:Contact/e:Name/pd:PersonGivenName"/>
                      &nbsp;
                      <xsl:value-of select="e:Response/e:FeeClaim/e:Contact/e:Name/pd:PersonFamilyName"/>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>Daytime phone number (incl STD code)</td>
                </tr>
                <tr>
                  <td>
                    <div class="box-medium2">
                      <xsl:value-of select="e:Response/e:FeeClaim/e:Contact/e:Telephone"/>&nbsp;
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>
                    <b>Surgery Address</b> If the information shown is incorrect,
                    please complete <b>Section C</b> on page 2.
                  </td>
                  <td>
                    <div class="box-medium3">
                      <xsl:for-each select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:Line">
                        <xsl:value-of select="."/>
                        <br/>
                      </xsl:for-each>
                      <xsl:value-of select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:PostCode"/>
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td valign="top">
              <b>B7</b>
            </td>
            <td>
              <table>
                <tr>
                  <td rowspan="2" style="width: 65mm">
                    <b>
                      Do you want to change your <br/>existing payment details?
                    </b> <br/>
                    (Please tick appropriate box)
                  </td>
                  <xsl:call-template name="ticktrue">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:ChangeDetails"/>
                  </xsl:call-template>
 &nbsp;
                  <td>
                    <b>Yes</b> (please complete page 2)
                  </td>
                </tr>
                <tr>
                  <xsl:call-template name="tickfalse">
                    <xsl:with-param name="b" select="e:Response/e:FeeClaim/e:ChangeDetails"/>
                  </xsl:call-template>
 &nbsp;
                  <td>
                    <b>No</b>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>

            <td valign="top">
              <b>B8</b>
            </td>
	
            <td style="text-align: right">
              <table class="fill">
                <tr>
                  <td colspan="5" style="height: 2mm; padding: 0">
                  </td>
                  <td>&nbsp;</td>
                  <td/>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    D
                  </td>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    D
                  </td>
                  <td/>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    M
                  </td>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    M
                  </td>
                  <td/>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center; height: 2mm; padding: 0">
                    Y
                  </td>
                </tr>
                <tr>
                
     

				
              
				<td colspan="4" style="text-align: left">
				
                    <!--   Removed in Version 2 due to change in DWP requirements

					<b>Signature</b>

					 -->
                    
                    &nbsp;

				
                  </td>
                  
                  <td rowspan="2">
					<!-- Removed in Version 2
							class="fill" style="width: 65mm; height: 12mm">
					 -->
                    &nbsp;
                  </td>
                  <td>
                  </td>
                  <td rowspan="2" style="text-align: left">
                    <b>
                      Taxable<br/>Date
                    </b>
                  </td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,9,1)"/>
                  </td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,10,1)"/>
                  </td>
                  <td class="fill">/</td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,6,1)"/>
                  </td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,7,1)"/>
                  </td>
                  <td class="fill">/</td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,1,1)"/>
                  </td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,2,1)"/>
                  </td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,3,1)"/>
                  </td>
                  <td class="fill">
                    <xsl:value-of select="substring(e:Response/e:DocumentData/e:ResponseDate,4,1)"/>
                  </td>
                </tr>
                <tr>
                  <td>&nbsp;</td>
                </tr>
              </table>
            </td>
          </tr>
         <tr class="printonly">
            <td style="max-height: 2mm">
            </td>
          </tr>
          <tr class="printonly">
            <td colspan="2" style="border-top: solid 1px black">
              <table class="printonlywide">
                <tr>
                  <td colspan="2">DBD36</td>
                  <td style="text-align: center">04/07</td>
                  <td colspan="2" style="text-align: right">Page 1</td>
                </tr>
                <tr>
                  <td style="width: 8mm"></td>
                  <td style="width: 17mm">
                    <div class="marker">
                      <span class="marker">
                      </span>
                    </div>
                  </td>
                  <td class="w130mm"></td>
                  <td class="marker">
                    <div class="marker">
                      <span class="marker">
                      </span>
                    </div>
                  </td>
                  <td></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <hr/>
        <div class="page" style="height: 0">&nbsp;</div>
        <table class="printonlywide">
          <tr>
            <td class="w100mm">
              <xsl:call-template name="dwp"/>
            </td>
            <td colspan="3" align="right">
              <b>
                Customer Name:
                <xsl:value-of select="e:Request/e:Person/e:PatientDemographics/gen:PatientName/gen:StructuredName/gen:FamilyName"/>
                <br/>
                NINO:
                <xsl:call-template name="nino"/>
              </b>
            </td>
          </tr>
          <tr>
            <td></td>
            <td class="w52mm"></td>
            <td>
              <div class="marker">
                <span class="marker">
                </span>
              </div>
            </td>
            <td></td>
          </tr>
        </table>
        <table class="w180mm">
          <tr>
            <td style="width: 1cm">
              <b class="larger">C</b>
            </td>
            <td>
              <b class="larger">Telling us about your details</b>
            </td>
          </tr>
          <tr>
            <td></td>
            <td>
              Complete this section if it is your <b>first claim</b> or you wish to <b>change</b> existing details.
            </td>
          </tr>
          <tr>
            <td>
              <b>C1</b>
            </td>
            <td>
              <b>Notification/Changes to your Remittance Advice address</b>
            </td>
          </tr>
          <tr>
            <td>
            </td>
            <td>
              <table width="100%">
                <tr>
                  <td rowspan="5" valign="top">
                    Please provide the full<br/>address
                    of where you<br/>wish the
                    Remittance <br/>Advice slip to be sent.
                  </td>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:Line[1]"/>
                      <xsl:with-param name="boxes" select="15"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:Line[2]"/>
                      <xsl:with-param name="boxes" select="15"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:Line[3]"/>
                      <xsl:with-param name="boxes" select="15"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="text-align: right">
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:Line[4]"/>
                      <xsl:with-param name="boxes" select="15"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="text-align: right">
                    <b>Postcode</b>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="e:Response/e:FeeClaim/e:PaymentDetails/e:RemittanceAddress/apd:PostCode"/>
                      <xsl:with-param name="boxes" select="9"/>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td>
              <b>C2</b>
            </td>
            <td>
              <b>Notification/Changes to your payment details</b>
            </td>
          </tr>
          <tr>
            <td/>
            <td>
              Please provide details of the account you want this claim
              paid into. This will also be the account we will send any future payments to.
              <br/><b>(We can only make payment directly into a bank or building society account)</b>
            </td>
          </tr>
          <tr>
            <td>
            </td>
            <td>
              <table>
                <tr>
                  <td style="vertical-align: top">
                    Name of bank/building society
                  </td>
                  <td style="text-align: right">
					<xsl:variable name="payment_details_display">
					  <xsl:choose>
						<xsl:when test="not(e:Response/e:FeeClaim/e:PaymentDetails/e:Bank)">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:when test="e:Response/e:FeeClaim/e:PaymentDetails/e:Bank = ''">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:otherwise>
						  <xsl:text>*************</xsl:text>
						</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="$payment_details_display"/>
                      <xsl:with-param name="boxes" select="13"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="vertical-align: top">
                    Branch name
                  </td>
                  <td style="text-align: right">
					<xsl:variable name="payment_details_display">
					  <xsl:choose>
						<xsl:when test="not(e:Response/e:FeeClaim/e:PaymentDetails/e:BranchName)">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:when test="e:Response/e:FeeClaim/e:PaymentDetails/e:BranchName = ''">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:otherwise>
						  <xsl:text>*************</xsl:text>
						</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="$payment_details_display"/>
                      <xsl:with-param name="boxes" select="13"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="vertical-align: top">
                    Account name
                  </td>
                  <td style="text-align: right">
					<xsl:variable name="payment_details_display">
					  <xsl:choose>
						<xsl:when test="not(e:Response/e:FeeClaim/e:PaymentDetails/e:AccountName)">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:when test="e:Response/e:FeeClaim/e:PaymentDetails/e:AccountName = ''">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:otherwise>
						  <xsl:text>*************</xsl:text>
						</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="$payment_details_display"/>
                      <xsl:with-param name="boxes" select="13"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="vertical-align: top">
                    Bank Sort Code number
                  </td>
                  <td colspan="2" style="text-align:right">
					<xsl:variable name="payment_details_display">
					  <xsl:choose>
						<xsl:when test="not(e:Response/e:FeeClaim/e:PaymentDetails/e:SortCode)">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:when test="e:Response/e:FeeClaim/e:PaymentDetails/e:SortCode = ''">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:otherwise>
						  <xsl:text>*</xsl:text>
						</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
                    <table class="fill">
                      <tr>
                        <td class="fill">
                          <xsl:value-of select="$payment_details_display"/>
                        </td>
                        <td class="fill">
                          <xsl:value-of select="$payment_details_display"/>
                        </td>
                        <td class="fill">-</td>
                        <td class="fill">
                          <xsl:value-of select="$payment_details_display"/>
                        </td>
                        <td class="fill">
                          <xsl:value-of select="$payment_details_display"/>
                        </td>
                        <td class="fill">-</td>
                        <td class="fill">
                          <xsl:value-of select="$payment_details_display"/>
                        </td>
                        <td class="fill">
                          <xsl:value-of select="$payment_details_display"/>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td style="vertical-align: top" colspan="1">
                    Account Number
                  </td>
                  <td style="text-align: right" colspan="2">
					<xsl:variable name="payment_details_display">
					  <xsl:choose>
						<xsl:when test="not(e:Response/e:FeeClaim/e:PaymentDetails/e:AccountNumber)">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:when test="e:Response/e:FeeClaim/e:PaymentDetails/e:AccountNumber = ''">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:otherwise>
						  <xsl:text>**********</xsl:text>
						</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="$payment_details_display"/>
                      <xsl:with-param name="boxes" select="10"/>
                    </xsl:call-template>
                  </td>
                </tr>
                <tr>
                  <td style="vertical-align: top" colspan="1">
                    Roll number (Building Society only)
                  </td>
                  <td style="text-align: right" colspan="2">
					<xsl:variable name="payment_details_display">
					  <xsl:choose>
						<xsl:when test="not(e:Response/e:FeeClaim/e:PaymentDetails/e:RollNumber)">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:when test="e:Response/e:FeeClaim/e:PaymentDetails/e:RollNumber = ''">
						  <xsl:text></xsl:text>
						</xsl:when>
						<xsl:otherwise>
						  <xsl:text>*************</xsl:text>
						</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
                    <xsl:call-template name="boxes">
                      <xsl:with-param name="value" select="$payment_details_display"/>
                      <xsl:with-param name="boxes" select="13"/>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr class="printonly">
            <td style="height: 12mm">
              &nbsp;
            </td>
          </tr>
          <!--  Section C3 removed in version 2 due to a change in DWP's Requirements 
 <tr>
            <td valign="top">
              <b>C3</b>
            </td>
            <td colspan="2">
              <table class="fill">
                <tr>
                  <td colspan="3">
                    &nbsp;
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    D
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    D
                  </td>
                  <td/>
                  <td style="font-size: smaller; text-align: center">
                    M
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    M
                  </td>
                  <td/>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                </tr>
                <tr>
                  <td valign="top">
                    <b>Signature</b>
                    &nbsp;
                  </td>
                  <td rowspan="2" class="fill" style="width: 65mm; height: 12mm">
                    &nbsp;
                  </td>
                  <td valign="top" rowspan="1">
                    <b >
                      
                      Date
                    </b>
                  </td>
                  <td  rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td  rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">/</td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">/</td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                </tr>
                <tr>
                  <td>&nbsp;</td>
                </tr>
              </table>
            </td>
          </tr>
	-->
	<br/>
  <tr>
            <td colspan="2">
              <b>We will write to you with details of when payment will be made.</b> When you receive this 
              information, keep it safe as you need to use your <b>payee reference number</b>
              for future claims.
            </td>
          </tr>
          <tr>
            <td style="width: 1cm; border-top: solid 1mm black">
              <b class="larger">D</b>
            </td>
            <td style="border-top: solid 1mm black">
              <b class="larger">FOR OFFICIAL DWP USE ONLY</b>
            </td>
          </tr>
          <tr>
            <td>
              <b>D1</b>
            </td>
            <td>
              <b>Authorisation of fees</b>
            </td>
          </tr>
          <tr>
            <td>
            </td>
            <td>
              <table class="fill">
                <tr>
                  <td>
                    The claim has been examined.  Payment of
                    &nbsp;
                  </td>
                  <td class="fill">
                    <b>
                      &pound;
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Recipient/e:ClaimAmount,1,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Recipient/e:ClaimAmount,2,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Recipient/e:ClaimAmount,3,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Recipient/e:ClaimAmount,4,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Recipient/e:ClaimAmount,5,1)"/>
                    </b>
                  </td>
                  <td>
                    &nbsp;
                    (net) is approved.
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td>
              <b>D2</b>
            </td>
            <td>
              <table class="fill">
                <tr>
                  <td>
                    Charge to: <b>BU</b>&nbsp;
                  </td>
                  <td class="fill">&nbsp;</td>
                  <td class="fill">&nbsp;</td>
                  <td>
                    &nbsp;&nbsp;
                    <b>C/C</b>&nbsp;
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Requester/e:CostCentre,1,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Requester/e:CostCentre,2,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Requester/e:CostCentre,3,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Requester/e:CostCentre,4,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Requester/e:CostCentre,5,1)"/>
                    </b>
                  </td>
                  <td class="fill">
                    <b>
                      <xsl:value-of select="substring(e:Request/e:Requester/e:CostCentre,6,1)"/>
                    </b>
                  </td>
                  <td>
                    &nbsp;&nbsp;
                    <b>A/C code</b>&nbsp;
                  </td>
                  <td class="fill">&nbsp;</td>
                  <td class="fill">&nbsp;</td>
                  <td class="fill">&nbsp;</td>
                  <td class="fill">&nbsp;</td>
                  <td class="fill">&nbsp;</td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td colspan="3">
            </td>
          </tr>
          <tr>
            <td valign="top">
              <b>D3</b>
            </td>
            <td colspan="2">
              <table class="fill">
                <tr>
                  <td colspan="3">
                    &nbsp;
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    D
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    D
                  </td>
                  <td/>
                  <td style="font-size: smaller; text-align: center">
                    M
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    M
                  </td>
                  <td/>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                  <td style="font-size: smaller; text-align: center">
                    Y
                  </td>
                </tr>
                <tr>
                  <td valign="top">
                    <b>Signature</b>
                    &nbsp;
                  </td>
                  <td rowspan="2" class="fill" style="width: 65mm; height: 12mm">
                    &nbsp;
                  </td>
                  <td valign="top" rowspan="1">
                    <b >
                      
                      Date
                    </b><!-- RY&nbsp;RY-->
                  </td>
                  <td  rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td  rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">/</td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">/</td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                  <td rowspan="1" class="fill">
                    &nbsp;
                  </td>
                </tr>
                <tr>
                  <td>&nbsp;</td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <table>
                <tr>
                  <td>
                    <b>Authorisation Stamp</b>
                  </td>
                  <td>&nbsp;&nbsp;</td>
                  <td>
                    <b>Office address stamp/&ldquo;examined&rdquo; stamp</b>
                  </td>
                </tr>
                <tr>
                  <td class="box-big" style="width: 92mm">&nbsp;</td>
                  <td/>
                  <td class="box-big" style="width: 86mm">&nbsp;</td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <table width="100%" class="printonly">
          <tr>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2">DBD36</td>
            <td colspan="2" style="text-align: right">Page 2</td>
          </tr>
          <tr>
            <td style="width: 8mm"></td>
            <td style="width: 17mm">
              <div class="marker">
                <span class="marker">
                </span>
              </div>
            </td>
            <td class="w130mm"></td>
            <td class="marker">
              <div class="marker">
                <span class="marker">
                </span>
              </div>
            </td>
            <td></td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
