<?xml version="1.0" encoding="UTF-8"?>
<!--This stylesheet takes AdviceRequest xml and converts it into prepopulation souce xml-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:adReq="http://www.show.scot.nhs.uk/isd/AdviceRequest" xmlns:gen="http://www.show.scot.nhs.uk/isd/General" xmlns:sup="http://www.show.scot.nhs.uk/isd/Supplementary">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<xsl:include href="../../PrePopulationExtractionTemplates/Supplementary_General-2.9.xslt"/>	
	<xsl:template match="/adReq:AdviceRequestDocument">
		<xsl:element name="PrePopulationDocument" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
			<xsl:attribute name="SchemaVersion">1.2</xsl:attribute>
			<xsl:element name="PatientDemographics" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:PatientId"/>
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:DateOfBirth"/>
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics"/>
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:Sex"/>
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:MaritalStatus"/>
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:PatientAddress"/>
				<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:PatientTelecom"/>
			</xsl:element>
			<xsl:element name="PatientBackgroundInformation" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
			<xsl:if test="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp">
				<xsl:element name="PatientRegistration" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:HealthBoardOfResidence"/>
					<xsl:element name="RegisteredPractice" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:EmployingOrganisation"/>
						<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:EmployingOrganisation/gen:OrganisationAddress"/>
						<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:EmployingOrganisation/gen:OrganisationTelecom"/>
					</xsl:element>
					<xsl:element name="RegisteredGP" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:HcpId"/>
						<xsl:apply-templates select="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:HcpName"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:element name="PatientClinicalInformation" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:element name="Medication" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
				<xsl:element name="Conditions" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
				<xsl:element name="Procedures" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
				<xsl:element name="FamilyConditions" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
				<xsl:element name="Alerts" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:element name="Allergies" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
					<xsl:element name="Intolerances" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
					<xsl:element name="LifeStyleRisks" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
					<xsl:element name="RiskToOthers" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
				</xsl:element>
				<xsl:element name="PatientMeasurements" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource"/>
			</xsl:element>
			<!--Supplementary information section start-->
			<xsl:element name="OriginalMessageXml" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:element name="Sender" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:if test="/adReq:AdviceRequestDocument/adReq:MessageData/adReq:AdviceRequestedBy">
						<xsl:apply-templates select="/adReq:AdviceRequestDocument/adReq:MessageData/adReq:AdviceRequestedBy"/>
					</xsl:if>
				</xsl:element>
				<xsl:element name="Destination" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:if test="/adReq:AdviceRequestDocument/adReq:MessageData/adReq:AdviceRequestedOf">
						<xsl:apply-templates select="/adReq:AdviceRequestDocument/adReq:MessageData/adReq:AdviceRequestedOf"/>
					</xsl:if>
				</xsl:element>
			</xsl:element>
			<!-- Supplementary information section end-->
			<!-- DocumentData section start -->
			<xsl:element name="DocumentData" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:apply-templates select="/adReq:AdviceRequestDocument/adReq:DocumentData/gen:UniqueCarePathwayNumber"/>
			</xsl:element>
			<!-- DocumentData section end -->		
		</xsl:element>
	</xsl:template>
	<!--CHI-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:PatientId">
		<xsl:if test="gen:IdScheme='CHI'">
			<!--Ignore partial CHI numbers which are valid within the referral schema-->
			<xsl:if test="string-length(gen:IdValue) = 10">
				<xsl:element name="CHI" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="gen:IdValue"/>
				</xsl:element>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--NHS Number-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:PatientId">
		<xsl:if test="gen:IdScheme='NHS Number'">
			<!--Ignore partial NHS numbers which are valid within the referral schema-->
			<xsl:if test="string-length(gen:IdValue) = 10">
				<xsl:element name="CHI" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="gen:IdValue"/>
				</xsl:element>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--DateOfBirth-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:DateOfBirth">
		<xsl:element name="DateOfBirth" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>
	<!--Patient - Title, Forename, Middlename, Surname, BirthSurame, PreviousSurname-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics">
		<xsl:for-each select="gen:PatientName/gen:NameType[.='Current Name']">
			<xsl:if test="../gen:StructuredName/gen:Title">
				<xsl:element name="Title" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="../gen:StructuredName/gen:Title"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="../gen:StructuredName/gen:GivenName">
				<xsl:element name="Forename" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="../gen:StructuredName/gen:GivenName"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="../gen:StructuredName/gen:MiddleName">
				<xsl:element name="Middlename" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<!--This will only select the first MiddleName from the referral xml, third-party-interface-1.4.xsd only allows one anyway-->
					<xsl:value-of select="../gen:StructuredName/gen:MiddleName"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="../gen:StructuredName/gen:FamilyName">
				<xsl:element name="Surname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="../gen:StructuredName/gen:FamilyName"/>
				</xsl:element>
			</xsl:if>
		</xsl:for-each>
		<xsl:for-each select="gen:PatientName/gen:NameType[.='Birth Surname']">
			<xsl:if test="../gen:UnstructuredName">
				<xsl:element name="BirthSurname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="../gen:UnstructuredName"/>
				</xsl:element>
			</xsl:if>
		</xsl:for-each>
		<xsl:for-each select="gen:PatientName/gen:NameType[.='Previous Surname']">
			<xsl:if test="../gen:UnstructuredName">
				<xsl:element name="PreviousSurname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="../gen:UnstructuredName"/>
				</xsl:element>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!--Sex-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:Sex">
		<xsl:element name="Sex" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>
	<!--MaritalStatus-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:MaritalStatus">
		<xsl:element name="MaritalStatus" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>
	<!--Patient - AddressLine, PostCode-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:PatientAddress">
		<xsl:if test="gen:AddressType='Current Residence'">
			<xsl:element name="Address" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<!--There can be 1-4 of these-->
				<xsl:for-each select="gen:StructuredAddress/gen:AddressLine">
					<xsl:element name="AddressLine" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="."/>
					</xsl:element>
				</xsl:for-each>
				<xsl:if test="gen:PostCode">
					<xsl:element name="PostCode" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="gen:PostCode"/>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!--Patient - PhoneNumber, MobileNumber, EmailAddress-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:PatientTelecom">
		<xsl:if test="gen:TelecomType='Voice'">
			<xsl:if test="gen:TelecomMode='Home'">
				<xsl:element name="PhoneNumber" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:if test="gen:UnstructuredTelecom">
						<xsl:value-of select="gen:UnstructuredTelecom"/>
					</xsl:if>
					<xsl:if test="gen:StructuredTelecom/gen:TelecomNo">
						<xsl:value-of select="gen:StructuredTelecom/gen:TelecomNo"/>
					</xsl:if>
				</xsl:element>
			</xsl:if>
			<xsl:if test="gen:TelecomMode='Mobile'">
				<xsl:element name="MobileNumber" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:if test="gen:UnstructuredTelecom">
						<xsl:value-of select="gen:UnstructuredTelecom"/>
					</xsl:if>
					<xsl:if test="gen:StructuredTelecom/gen:TelecomNo">
						<xsl:value-of select="gen:StructuredTelecom/gen:TelecomNo"/>
					</xsl:if>
				</xsl:element>
			</xsl:if>
		</xsl:if>
		<xsl:if test="gen:TelecomType='E-mail'">
			<xsl:element name="EmailAddress" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:UnstructuredTelecom"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!--HealthBoardCipher-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:HealthBoardOfResidence">
		<xsl:if test="gen:HealthBoardCipher">
			<!--Ignore longer health board ciphers which are valid within the referral schema-->
			<xsl:if test="string-length(gen:HealthBoardCipher) = 1">
				<xsl:element name="HealthBoardCipher" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="gen:HealthBoardCipher"/>
				</xsl:element>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--GP - Practice Code, Name-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:EmployingOrganisation">
		<xsl:if test="gen:OrganisationId/gen:IdScheme='PracticeID'">
			<xsl:element name="PracticeCode" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:OrganisationId/gen:IdValue"/>
			</xsl:element>
		</xsl:if>
		<xsl:if test="gen:OrganisationName">
			<xsl:element name="Name" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:OrganisationName"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!--GP - AddressLine, PostCode-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:EmployingOrganisation/gen:OrganisationAddress">
		<xsl:if test="gen:AddressType='Practice Address'">
			<xsl:element name="Address" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<!--There can be 1-4 of these-->
				<xsl:for-each select="gen:StructuredAddress/gen:AddressLine">
					<xsl:element name="AddressLine" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="."/>
					</xsl:element>
				</xsl:for-each>
				<xsl:if test="gen:PostCode">
					<xsl:element name="PostCode" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="gen:PostCode"/>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!--GP - PhoneNumber, Fax, Email-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:EmployingOrganisation/gen:OrganisationTelecom">
		<xsl:if test="gen:TelecomType='Voice'">
			<xsl:element name="PhoneNumber" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:if test="gen:UnstructuredTelecom">
					<xsl:value-of select="gen:UnstructuredTelecom"/>
				</xsl:if>
				<xsl:if test="gen:StructuredTelecom/gen:TelecomNo">
					<xsl:value-of select="gen:StructuredTelecom/gen:TelecomNo"/>
				</xsl:if>
			</xsl:element>
		</xsl:if>
		<xsl:if test="gen:TelecomType='Facsimile'">
			<xsl:element name="Fax" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:if test="gen:UnstructuredTelecom">
					<xsl:value-of select="gen:UnstructuredTelecom"/>
				</xsl:if>
				<xsl:if test="gen:StructuredTelecom/gen:TelecomNo">
					<xsl:value-of select="gen:StructuredTelecom/gen:TelecomNo"/>
				</xsl:if>
			</xsl:element>
		</xsl:if>
		<xsl:if test="gen:TelecomType='E-mail'">
			<xsl:element name="Email" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:UnstructuredTelecom"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!--GP - GMCNumber, GPCode-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:HcpId">
		<!--Gateway uses GmcCode but the referral schema also allows GMC which may come via inbound interface-->
		<xsl:if test="gen:IdScheme='GmcCode' or gen:IdScheme='GMC'">
			<xsl:element name="GMCNumber" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:IdValue"/>
			</xsl:element>
		</xsl:if>
		<xsl:if test="gen:IdScheme='GpCode'">
			<xsl:choose>
				<!--The schema allows 5 characters, but if the GpCode has come from GPASS it will be 6 characters therefore-->
				<!--we need to remove the prefix-->
				<xsl:when test="string-length(gen:IdValue) &gt; 5">
					<xsl:element name="GPCode" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="substring(gen:IdValue,2)"/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="GPCode" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="gen:IdValue"/>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<!--GP - Title, Forename, Surname-->
	<xsl:template match="adReq:MessageData/adReq:PatientDemographics/gen:RegisteredGp/gen:HcpName">
		<xsl:if test="gen:StructuredName">
			<xsl:if test="gen:StructuredName/gen:Title">
				<xsl:element name="Title" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="gen:StructuredName/gen:Title"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="Forename" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:StructuredName/gen:GivenName"/>
			</xsl:element>
			<xsl:element name="Surname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="gen:StructuredName/gen:FamilyName"/>
			</xsl:element>
		</xsl:if>
		<xsl:if test="gen:UnstructuredName">
			<!--It doesn't really matter if these are not split up correctly as they are all joined back together into an-->
			<!--UnstructuredName within prepopulation.xml-->
			<xsl:choose>
				<xsl:when test="contains(gen:UnstructuredName, ' ')">
					<xsl:element name="Title" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="substring-before(gen:UnstructuredName, ' ')"/>
					</xsl:element>
					<xsl:variable name="strSearch" select="substring-after(gen:UnstructuredName, ' ')"/>
					<xsl:choose>
						<xsl:when test="contains($strSearch, ' ')">
							<xsl:element name="Forename" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
								<xsl:value-of select="substring-before($strSearch, ' ')"/>
							</xsl:element>
							<xsl:element name="Surname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
								<xsl:value-of select="substring-after($strSearch, ' ')"/>
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="Surname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
								<xsl:value-of select="$strSearch"/>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="Surname" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
						<xsl:value-of select="gen:UnstructuredName"/>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<!-- AdviceRequest Supplementary match templates - START-->
	<xsl:template match="/adReq:AdviceRequestDocument/adReq:MessageData/adReq:AdviceRequestedBy">
		<xsl:call-template name="sup:ExtractGeneralHcpDetailType"/>
	</xsl:template>
	<xsl:template match="/adReq:AdviceRequestDocument/adReq:MessageData/adReq:AdviceRequestedOf">
		<xsl:call-template name="sup:ExtractGeneralHcpDetailType"/>
	</xsl:template>
	<!-- AdviceRequest Supplementary match templates - END -->
	<!-- Pathway number - START -->
	<xsl:template match="/adReq:AdviceRequestDocument/adReq:DocumentData/gen:UniqueCarePathwayNumber">
		<xsl:if test="string-length(.)=13">
			<xsl:element name="UniqueCarePathwayNumber" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="."/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!-- Pathway number - END -->
</xsl:stylesheet>
