<?xml version="1.0" encoding="UTF-8"?>
<!--Converts data from RTTPathway schema to a node suitable for import into a GatewayPrePopulationSource schema document
This file takes a parameter containing the GatewayPrePopulationSource schema to allow correct conversion-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:rtt="http://www.show.scot.nhs.uk/isd/RTTPathway" xmlns="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<xsl:param name="GatewayPrePopulationSourceSchemaVersion"/>
	<xsl:param name="RttStatus"/>
	<xsl:template match="/">
		<xsl:param name="rttDataVersion" select="/rtt:Pathway/@schemaVersion"/>
		<xsl:choose>
			<xsl:when test="($rttDataVersion='1.0' and $GatewayPrePopulationSourceSchemaVersion='1.3')">
				<xsl:call-template name="Convert1.0To1.3"/>
			</xsl:when>
			<xsl:otherwise/>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="Convert1.0To1.3">
		<ReferralToTreatmentData>
			<xsl:if test="string-length($RttStatus) > 0">
				<RTTStatus><xsl:value-of select="$RttStatus"/></RTTStatus>
			</xsl:if>
			<DateOfOriginalReferral><xsl:value-of select="/rtt:Pathway/rtt:ReferralToTreatmentData/rtt:DateOfOriginalReferral"/></DateOfOriginalReferral>
			<DaysElapsed><xsl:value-of select="/rtt:Pathway/rtt:ReferralToTreatmentData/rtt:DaysElapsed"/></DaysElapsed>
			<xsl:if test="/rtt:Pathway/rtt:ReferralToTreatmentData/rtt:PeriodsOfFutureUnavailability">
				<PeriodsOfFutureUnavailability>
					<xsl:for-each select="/rtt:Pathway/rtt:ReferralToTreatmentData/rtt:PeriodsOfFutureUnavailability">
						<PeriodOfFutureUnavailability>
							<UnavailableFrom><xsl:value-of select="./rtt:UnavailableFrom"/></UnavailableFrom>
							<UnavailableTo><xsl:value-of select="./rtt:UnavailableTo"/></UnavailableTo>
							<xsl:if test="./rtt:Reason">
								<Reason><xsl:value-of select="./rtt:Reason"/></Reason>
							</xsl:if>
						</PeriodOfFutureUnavailability>
					</xsl:for-each>
				</PeriodsOfFutureUnavailability>
			</xsl:if>
			<xsl:if test="/rtt:Pathway/rtt:ReferralToTreatmentData/rtt:AdditionalInformation">
				<AdditionalInformation><xsl:value-of select="/rtt:Pathway/rtt:ReferralToTreatmentData/rtt:AdditionalInformation"/></AdditionalInformation>
			</xsl:if>
		</ReferralToTreatmentData>
	</xsl:template>
</xsl:stylesheet>